<?php
Class Home extends CI_Controller{
    
    function __construct() {
        parent::__construct();
        error_reporting(E_ALL ^ (E_NOTICE | E_WARNING));
        $this->load->model('home_model');
        $this->load->model('Utilities_model');
    }
    
    function admin(){
        $data['main_content'] = 'admin_view';
        $this->load->view('includes/template_admin', $data);
    }

    function Contact() {
        $comp_type = $this->Utilities_model->getListDet('company_id,company_name','company_details','company_name');
        $data['comp_type'] = $comp_type;
        $location = $this->Utilities_model->getListDet('location_id,location_name','location','location_name');
        $data['location'] = $location;
        $area_type = $this->Utilities_model->getListDet('country_id,country_name','country','country_name');
        $data['area_type'] = $area_type;

        $data['main_content'] = 'home_view';
        $this->load->view('includes/template', $data);
    }

    function index() {           
        $area_type = $this->Utilities_model->getListDet('country_id,country_name','country','country_name');
        $data['area_type'] = $area_type;
        $data['main_content'] = 'company_view';
        $this->load->view('includes/template_admin', $data);
    }

  function check_company(){
     $this->form_validation->set_rules('name', 'Company Name', 'trim|required|xss_clean|');

     if($this->form_validation->run() == FALSE) {
            $this->index();
        }

        else{

            $name           = $this->input->post('name');
            $contact_type   = $this->input->post('contact_type');
            $country        = $this->input->post('country');
            $state          = $this->input->post('state');
            $address        = $this->input->post('postal_address');
            $remarks        = $this->input->post('notes');

            $formValues = array(
                'company_name'  => $name,
                'contact_type'  => $contact_type,
                'country_id'    => $country,
                'state'         => $state,
                'address'       => $address,
                'remarks'       => $remarks,
                
            );

             $tablename="company_details";
             $ca_id = $this->home_model->tableInsert($tablename,$formValues);

             if($ca_id){
              $msg = "<center><h1>Details Added Successfully</h1></center>";
                }
           else{
                $msg = "<center><h2 style=\"color:red;\">Error ......</h1></center>";
            }

            $data['message'] = $msg;
            $data['data'] = NULL;
            $data['main_content'] = 'result_page';
            $this->load->view('includes/template_admin', $data);
        }
    }

   function check_signup(){
     $this->form_validation->set_rules('person_name', 'Person Name', 'trim|required|xss_clean|max_length[50]');
     $this->form_validation->set_rules('email', 'Email', 'trim|required|xss_clean|valid_email');
     $this->form_validation->set_rules('designation', 'Designation', 'trim|required|');
     $this->form_validation->set_rules('mobile', 'Mobile Number', 'trim|required|xss_clean|numeric|min_length[9]|max_length[15]');
    
     if($this->form_validation->run() == FALSE) {
            $this->Contact();
        }

        else{
            $comapany_id    = $this->input->post('comapany_id');
            $person_name    = $this->input->post('person_name');
            $person_lname   = $this->input->post('person_lname');
            $email          = $this->input->post('email');
            $designation    = $this->input->post('designation');
            $mill_address   = $this->input->post('mill_address');
            $off_address    = $this->input->post('off_address');
            $mobile         = $this->input->post('mobile');
            $landline       = $this->input->post('landline');
            $fax            = $this->input->post('fax');
            $im             = $this->input->post('im');
            $location       = $this->input->post('location');
            $country        = $this->input->post('country');
            $notes          = $this->input->post('notes');
            
            $formValues = array(
                'company_id'    => $comapany_id,
                'person_name'   => $person_name,
                'person_lname'  => $person_lname,
                'email'         => $email,
                'designation'   => $designation,
                'mill_address'  => $mill_address,
                'off_address'   => $off_address,
                'mobile'        => $mobile,
                'landline'      => $landline,
                'fax'           => $fax,
                'im'            => $im,
                'location_id'   => $location,
                'country_id'    => $country,
                'notes'         => $notes,
            
            );

             $tablename="contact_details";
             $ca_id = $this->home_model->tableInsert($tablename,$formValues);
       
             if($ca_id){
              $msg = "<center><h1>Details Added Successfully</h1></center>";
                }
           else{
                $msg = "<center><h2 style=\"color:red;\">Error ......</h1></center>";
            }

            $data['message'] = $msg;
            $data['data'] = NULL;
            $data['main_content'] = 'result_page';
            $this->load->view('includes/template', $data);
        }
    }
    
    function search(){
        $type = $this->Utilities_model->getListDet('contact_id,contact_type','contact_type','contact_type');
        $data['type'] = $type;

        $data['search']        = "activeNav"; 
        $data['main_content'] = 'search_view';
        $this->load->view('includes/template', $data);
    }

    function search_check(){
         $search = $this->input->post('search'); 

        $comapany_search  = $this->home_model->Company_SearchText($search);
        $data['comapany_search'] = $comapany_search;
        
        $comapany_visit_search  = $this->home_model->Company_visit_SearchText($search);
        $data['comapany_visit_search'] = $comapany_visit_search;
                
        $person_search  = $this->home_model->person_SearchText($search);
        $data['person_search'] = $person_search;
        
        $Other_search  = $this->home_model->Other_SearchText($search);
        $data['Other_search'] = $Other_search;
        
        $this->load->view('search_ajax_view', $data);
    }

    function searchResult($id){
         $list = $this->home_model->SearchDetails($id);
         $data['list'] = $list;
         $data['main_content'] = 'search_result_view';
         $this->load->view('includes/template', $data);
    }

    function check_signup_edit(){
        $id=$this->input->post('id');
        $this->form_validation->set_rules('fname', 'First Name', 'trim|required|xss_clean|max_length[50]');
        $this->form_validation->set_rules('lname', 'Last Name', 'trim|required|xss_clean|max_length[50]');
        $this->form_validation->set_rules('building_name', 'Building Name', 'trim|required|');
        $this->form_validation->set_rules('flat_no', 'Flat Number', 'trim|required|');
        $this->form_validation->set_rules('land_mark', 'Land Mark', 'trim|required|');

        $this->form_validation->set_rules('mobile', 'Mobile Number', 'trim|required|xss_clean|numeric|min_length[9]|max_length[15]');

        if($this->form_validation->run() == FALSE) {
            $this->searchResult($id);
        }

        else{

            $fname          = $this->input->post('fname');
            $mname          = $this->input->post('mname');
            $lname          = $this->input->post('lname');
            $building_name  = $this->input->post('building_name');
            $flat_no        = $this->input->post('flat_no');
            $land_mark      = $this->input->post('land_mark');
            $society_no     = $this->input->post('society_no');
            $mobile         = $this->input->post('mobile');
            $landline_no1   = $this->input->post('landline_no1');
            $landline_no2   = $this->input->post('landline_no2');
            $landline_no3   = $this->input->post('landline_no3');


            $formValues = array(
                'id'            => $id,
                'fname'         => $fname,
                'mname'         => $mname,
                'lname'         => $lname,
                'building_name' => $building_name,
                'flat_no'       => $flat_no,
                'land_mark'     => $land_mark,
                'society_no'    => $society_no,
                'mobile'        => $mobile,
                'landline_no1'  => $landline_no1,
                'landline_no2'  => $landline_no2,
                'landline_no3'  => $landline_no3
            );

             $ca_id = $this->home_model->updateSearch($formValues);

             if($ca_id){
              $msg = "<center><h1>Details Updated Successfully</h1></center>";
                }
           else{
          $msg = "<center><h1>No Updation </h1></center>";
            }

            $data['message'] = $msg;
            $data['data'] = NULL;
            $data['main_content'] = 'result_page';
            $this->load->view('includes/template', $data);

        }
    }

    function delSearch($id){
      $delete = $this->home_model->delSearchText($id);
      redirect(base_url().'home/search');
    }

    function export($id){
        $list = $this->home_model->SearchDetails($id);
        $data['list'] = $list;
    
        $data['main_content'] = 'search_export_view';
        $this->load->view('includes/template_login', $data);
    }

    function exportAll(){
        $list = $this->home_model->export();
        $data['list'] = $list;
        $data['main_content'] = 'export_view';
        $this->load->view('includes/template_login', $data);
    }

    function CountryCode(){
        $company_id=$this->input->post('search');
        $code = $this->home_model->CountryCodes($company_id);
        $data['code'] = $code;
        $this->load->view('country_ajax_view', $data);
      }

    function CompList(){
        $list = $this->home_model->CList();
        $data['list'] = $list;
        $data['main_content'] = 'list_view';
        $this->load->view('includes/template', $data);
    }

    function ContactDet($id){
        $list = $this->home_model->Details($id);
        $data['list'] = $list;
        $this->load->view('details_view', $data);
    }

    function Other() {
        $user_type      = $this->session->userdata('user_type');
        $user_id        = $this->session->userdata('userid');
        if($user_type == '1'){
            $list                   = $this->home_model->List_All_Select_Data('*','other_contact_details');
            $data['list']           = $list;
            $data['Other']        = "activeNav";           
            $data['main_content']   = 'other_display_view';
            $this->load->view('includes/template', $data);            
        } else {
            $User_data         = $this->home_model->display_Move_Data('*','user_master','user_id',$user_id);
            $data['User_data']           = $User_data;
            $pizza_1  = $User_data[0]['contact_id'];
            $pieces_1 = explode(",", trim($pizza_1, ","));
            for($i = 0; $i < count($pieces_1); $i++){
               $cond.="contact_id='".$pieces_1[$i] ."' OR ";
            } 
            $cond=  substr($cond,0,-3);
            
            $pizza  = $User_data[0]['location_id'];
            $pieces = explode(",", trim($pizza, ","));
            for($i = 0; $i < count($pieces); $i++){
               $cond_l.="location_id='".$pieces[$i] ."' OR ";
            } 
            $cond_l=  substr($cond_l,0,-3);
            
            $list                   = $this->home_model->Select_other_Data($cond);
            $data['list']           = $list;
            
            $data['Other']        = "activeNav";           
            $data['main_content']   = 'other_display_view';
            $this->load->view('includes/template', $data); 
        }
    }

    function check_other(){ 
     $this->form_validation->set_rules('contact_type', 'Contact Type', 'trim|required|');
     $this->form_validation->set_rules('person_name', '', 'trim|xss_clean');
     $this->form_validation->set_rules('person_lname', '', 'trim|xss_clean');
     $this->form_validation->set_rules('fax', 'Fax Number', 'trim|xss_clean');
     
     if($this->form_validation->run() == FALSE) {

            $type = $this->Utilities_model->getListDet('contact_id,contact_type','contact_type','contact_type');
            $data['type'] = $type;

            $location = $this->Utilities_model->getListDet('location_id,location_name','location','location_name');
            $data['location'] = $location;
            
            $area_type = $this->Utilities_model->getListDet('country_id,country_name','country','country_name');
            $data['area_type'] = $area_type;

            $data['Other']        = "activeNav"; 
            $data['main_content'] = 'other_view';
            $this->load->view('includes/template', $data);
        }

        else{
                $contact_type   = $this->input->post('contact_type');
                $person_name    = $this->input->post('person_name');
                $person_lname   = $this->input->post('person_lname');
                $email          = $this->input->post('email');
                $mobile         = $this->input->post('mobile');
                $landline       = $this->input->post('landline');
                $fax            = $this->input->post('fax');
                $im             = $this->input->post('im');
                $website        = $this->input->post('website');
                $location       = $this->input->post('location');
                $country        = $this->input->post('country');
                $notes          = $this->input->post('notes');
                $prefix         = $this->input->post('prefix');
                $prefix_count   = $this->input->post('prefix_count');
                $company_name   = $this->input->post('company_name');
                $email_2        = $this->input->post('email_2');
                $mobile_2       = $this->input->post('mobile_2');
                $generate_id = sprintf("%04d",$prefix_count);
                 
                $formValues = array(
                    'company_name'  => $company_name,
                    'contact_id'    => $contact_type,
                    'person_name'   => $person_name,
                    'person_lname'  => $person_lname,
                    'email'         => $email,
                    'mobile'        => $mobile,
                    'landline'      => $landline,
                    'fax'           => $fax,
                    'im'            => $im,
                    'website'       => $website,
                    'location_id'   => $location,
                    'country_id'    => $country,
                    'notes'         => $notes,
                    'email_2'       => $email_2,
                    'mobile_2'      => $mobile_2,
                    'prefix'        => $prefix,
                    'contact_ref_no'=> $prefix.$generate_id
                );
                $tablename="other_contact_details";
                $this->home_model->tableInsert($tablename,$formValues);
                $this->update_prefix_count();
        }
    }
    
	function get_other_comapany_name(){
        $comp_type = $this->home_model->like_Data('*','other_contact_details');
        
        $company_name="";
        //$data="";
        
        foreach ($comp_type as $key) {
            $company_name .= "\"".$key['company_name']."\",";
        }
        $data="<script>
                            $(\"#company_name\").val(\"\");
                            
                            $(\"#company_name\").autocomplete({
                                source: [$company_name]
                            });
                            
                           </script>";
        echo $data;
    }
	
    function update_prefix_count(){
        $contact_id   = $this->input->post('contact_id');
        $prefix_count    = $this->input->post('prefix_count');
        $pluse_prefix_count = $prefix_count + 1;
        
        $data = array(
                'contact_id'  =>$contact_id,
                'prefix_count'=>$pluse_prefix_count
            );
        $this->home_model->update_Data('contact_id',$data,'contact_type');
        redirect('home/Other');
    }

    function get_prefix_data(){
        $prefix    = $this->input->post('prefix');
        $list       = $this->home_model->get_record_where('contact_type','contact_id',$prefix);
        echo $list[0]['prefix'];
    }
    
    function get_prefix_count(){
        $prefix    = $this->input->post('prefix');
        $list       = $this->home_model->get_record_where('contact_type','contact_id',$prefix);
        echo $list[0]['prefix_count'];
    }
    
    function get_prefix_id(){
        $prefix    = $this->input->post('prefix');
        $list       = $this->home_model->get_record_where('contact_type','contact_id',$prefix);
        echo $list[0]['contact_id'];
    }
    
    function delete_Other($operson_id){        
        $this->home_model->delete_Data('operson_id',$operson_id,'other_contact_details');
        redirect('home/Other');
    }
    
    function other_viewData($operson_id){
        $type = $this->Utilities_model->getListDet('contact_id,contact_type','contact_type','contact_type');
        $data['type'] = $type;
        $location = $this->Utilities_model->getListDet('location_id,location_name','location','location_name');
        $data['location'] = $location;
        $area_type = $this->Utilities_model->getListDet('country_id,country_name','country','country_name');
        $data['area_type'] = $area_type;
        $list                   = $this->home_model->display_Move_Data('*','other_contact_details','operson_id',$operson_id);
        $data['list']           = $list;
        $data['Other']        = "activeNav";            
        $data['main_content']   = 'View_other_contact_Data';
        $this->load->view('includes/template', $data);        
    }

    function movedata_Other($operson_id){
        $type = $this->Utilities_model->getListDet('contact_id,contact_type','contact_type','contact_type');
        $data['type'] = $type;
        $location = $this->Utilities_model->getListDet('location_id,location_name','location','location_name');
        $data['location'] = $location;
        $area_type = $this->Utilities_model->getListDet('country_id,country_name','country','country_name');
        $data['area_type'] = $area_type;
        $list                   = $this->home_model->display_Move_Data('*','other_contact_details','operson_id',$operson_id);
        $data['list']           = $list;
        $data['Other']        = "activeNav";            
        $data['main_content']   = 'update_Other_view';
        $this->load->view('includes/template', $data);
    }


    function update_Other($operson_id){ 
        $operson_id     = $this->input->post('operson_id'); 
        $person_name    = $this->input->post('person_name');
        $person_lname   = $this->input->post('person_lname');
        $email          = $this->input->post('email');
        $mobile         = $this->input->post('mobile');
        $landline       = $this->input->post('landline');
        $fax            = $this->input->post('fax');
        $im             = $this->input->post('im');
        $website        = $this->input->post('website');
        $location       = $this->input->post('location');
        $country        = $this->input->post('country');
        $notes          = $this->input->post('notes');
        $user_id        = $this->session->userdata('userid');
        $ip             = $this->input->ip_address();
        $company_name   = $this->input->post('company_name');
        $email_2        = $this->input->post('email_2');
        $mobile_2       = $this->input->post('mobile_2');
        
         $data = array(
                'company_name'  => $company_name,
                'operson_id'    => $operson_id,
                'person_name'   => $person_name,
                'person_lname'  => $person_lname,
                'email'         => $email,
                'mobile'        => $mobile,
                'landline'      => $landline,
                'fax'           => $fax,
                'im'            => $im,
                'website'       => $website,
                'location_id'   => $location,
                'country_id'    => $country,
                'notes'         => $notes,
                'email_2'       => $email_2,
                'mobile_2'      => $mobile_2,
                'user_id'       => $user_id,
                'ip'            => $ip
             );
        $this->home_model->update_Data('operson_id',$data,'other_contact_details');
        redirect('home/Other');
    }

    function report(){ 
        $list = $this->home_model->MillReport();
        $data['list'] = $list;
        $lists = $this->home_model->OtherReport();
        $data['lists'] = $lists;
        $contact_data = $this->home_model->List_All_Select_Data('*','contact_type');               
        $data['contact_data'] = $contact_data; 
        $location_data = $this->home_model->List_All_Select_Data('*','location');               
        $data['location_data'] = $location_data;               
        $data['report']        = "activeNav"; 
        
        $data['main_content'] = 'report_display_view';
        $this->load->view('includes/template', $data);
    }
    
    function Report_Query(){ 
        $pass       = $this->input->post('name');
        $user_id    = $this->session->userdata('userid');
        $Data_list  = $this->home_model->Get_password($user_id,$pass);
        $file_id    = $this->input->post('file');
        if($file_id == 'select'){
            $list = $this->home_model->MillReport();
            $data['list'] = $list;
            $lists = $this->home_model->OtherReport();
            $data['lists'] = $lists;            
            $contact_data = $this->home_model->List_All_Select_Data('*','contact_type');               
            $data['contact_data'] = $contact_data; 
            $location_data = $this->home_model->List_All_Select_Data('*','location');               
            $data['location_data'] = $location_data;
            $data['report']        = "activeNav"; 
            $msg = "<center><h3 style=\"color:red;\">Place Select File Formats.</h3></center>";
            $data['massage'] = $msg;
            $data['main_content'] = 'report_display_view';
            $this->load->view('includes/template', $data);
        } else {
        
        
        if (!$Data_list) {
            $list = $this->home_model->MillReport();
            $data['list'] = $list;
            $lists = $this->home_model->OtherReport();
            $data['lists'] = $lists;
            $contact_data = $this->home_model->List_All_Select_Data('*','contact_type');               
            $data['contact_data'] = $contact_data;  
            $location_data = $this->home_model->List_All_Select_Data('*','location');               
            $data['location_data'] = $location_data;           
            $data['report']        = "activeNav"; 
            $msg = "<center><h3 style=\"color:red;\">Place Enter Login Password.</h3></center>";
            $data['massage'] = $msg;
            $data['main_content'] = 'report_display_view';
            $this->load->view('includes/template', $data);
        } else {
        $file_id        = $this->input->post('file');
        $Expoting_id    = $this->input->post('Exp_id'); 
        $location_id    = $this->input->post('location_id');
        $user_name      = $this->session->userdata('username');
        $user_id        = $this->session->userdata('userid');
        $ip             = $this->input->ip_address();
        
        $val = array(
            'file'          => $file_id,
            'Expoting'      => $Expoting_id,
            'location_id'   => $location_id,
            'user_name'     => $user_name,
            'user_id'       => $user_id,
            'ip'            => $ip
        );
        
        $tablename="export_log_data";
        $this->home_model->tableInsert($tablename,$val);
        if($file_id == '1'){
                if($Expoting_id == 'Company'){
                    if($location_id == 'ALL' ){
                        $company_data = $this->home_model->List_All_Select_Data('*','company_data');               
                        $data['company_data'] = $company_data; 
                    } else {
                        $company_data = $this->home_model->display_Move_Data('*','company_data','location',$location_id);               
                        $data['company_data'] = $company_data; 
                    }
                    $this->load->view('report_view', $data);
                }  else if($Expoting_id == 'Person') {
                    if($location_id == 'ALL' ){
                        $person_data = $this->home_model->List_all_location_preson_data();
                        $data['person_data'] = $person_data;
                    } else {
                        $person_data = $this->home_model->List_selected_location_preson_data($location_id);
                        $data['person_data'] = $person_data;
                    }
//                    $person_data = $this->home_model->List_All_Select_Data('*','person_data');               
//                    $data['person_data'] = $person_data;
                    $this->load->view('report_view', $data);
                }  else {
                    if($location_id == 'ALL' ){
                        $contact_data = $this->home_model->display_Move_Data('*','other_contact_details','contact_id',$Expoting_id);            
                        $data['contact_data'] = $contact_data;
                    } else {
                        $contact_data = $this->home_model->display_Move_Data_two('*','other_contact_details','contact_id',$Expoting_id,'location_id',$location_id);            
                        $data['contact_data'] = $contact_data;
                    }
                    $this->load->view('report_view', $data);
                }
        } else if ($file_id == '2'){
            switch ($Expoting_id) {  

                case 1:
                        $company_data = $this->home_model->List_All_Select_Data('*','company_data');               
                        $data['company_data'] = $company_data;
                    break;

                case 2:
                        $person_data = $this->home_model->List_All_Select_Data('*','person_data');               
                        $data['person_data'] = $person_data;
                    break;
                
                case 3:
                        $contact_data = $this->home_model->List_All_Select_Data('*','other_contact_details');               
                        $data['contact_data'] = $contact_data;
                    break;

                default:
                    $this->load->view('report_xlsx_view', $data);
                    break;                
            }
            $this->load->view('report_xlsx_view', $data);
        } else if ($file_id == '3'){
            if($location_id == 'ALL' ){
                redirect( base_url(). 'pdf/report_pdf_view.php?id='.$Expoting_id);
            } else {
                redirect( base_url(). 'pdf/report_pdf_view.php?id='.$Expoting_id.'&location_id='. $location_id);
            }
        } else if ($file_id == '4'){
            switch ($Expoting_id) {  

                case 1:
                        $company_data = $this->home_model->List_All_Select_Data('*','company_data');               
                        $data['company_data'] = $company_data;
                    break;

                case 2:
                        $person_data = $this->home_model->List_All_Select_Data('*','person_data');               
                        $data['person_data'] = $person_data;
                    break;
                
                case 3:
                        $contact_data = $this->home_model->List_All_Select_Data('*','other_contact_details');               
                        $data['contact_data'] = $contact_data;
                    break;

                default:
                    $this->load->view('report_csv_view', $data);
                    break;                
            }
            $this->load->view('report_csv_view', $data);
        }
    }
    } 
    }

    function company(){
        $user_type      = $this->session->userdata('user_type');
        $user_id        = $this->session->userdata('userid');
        if($user_type == '1'){
            $list                   = $this->home_model->List_All_Select_Data('*','company_data');
            $data['list']           = $list;
            $data['company']        = "activeNav";            
            $data['main_content']   = 'company_display_view';
            $this->load->view('includes/template', $data);            
        } else {
            $User_data         = $this->home_model->display_Move_Data('*','user_master','user_id',$user_id);
            $data['User_data']           = $User_data; 
            $pizza  = $User_data[0]['location_id'];
            $pieces = explode(",", trim($pizza, ","));
            for($i = 0; $i < count($pieces); $i++){
               $cond_l.="location='".$pieces[$i] ."' OR ";
            } 
            $cond_l=  substr($cond_l,0,-3);
            
            $list                   = $this->home_model->Select_company_Data($cond_l);
            $data['list']           = $list;
            
            $data['company']        = "activeNav";           
            $data['main_content']   = 'company_display_view';
            $this->load->view('includes/template', $data); 
        }  
    }
    
    function add_company(){   
        $company_name = $this->input->post('company_name');
        $Data_list = $this->home_model->Find_value('company_data','company_name',$company_name);      
        $this->form_validation->set_rules('company_name', 'Company Name', 'trim|required|xss_clean|');
        $this->form_validation->set_rules('location', 'Location', 'trim|required|xss_clean|');
        $this->form_validation->set_rules('contact_std_code[]', 'Contact STD CODE', 'trim|xss_clean');
        $this->form_validation->set_rules('contact_L_no[]', 'Contact Land Line NO', 'trim|xss_clean');
        $this->form_validation->set_rules('Office_std_code[]', 'Office STD CODE', 'trim|xss_clean');
        $this->form_validation->set_rules('Office_L_no[]', 'Office Land Line NO', 'trim|xss_clean');
        $this->form_validation->set_rules('Website', 'Website', 'trim|xss_clean');
        $this->form_validation->set_rules('off_address[]', 'Office Address', 'trim|xss_clean');
        $this->form_validation->set_rules('mill_address[]', 'Website', 'trim|xss_clean');
        $this->form_validation->set_rules('Existing', 'Existing', 'trim|xss_clean');
        $this->form_validation->set_rules('Note', 'Note', 'trim|xss_clean');
        if ($this->form_validation->run() == FALSE) {
            $location = $this->Utilities_model->getListDet('location_id,location_name','location','location_name');
            $data['location'] = $location;
            $area_type = $this->Utilities_model->getListDet('country_id,country_name','country','country_name');
            $data['area_type'] = $area_type;
            $Activities = $this->Utilities_model->getListDet('activitie_id,activitie_name','activitie_master','activitie_name');
            $data['Activities'] = $Activities;
            $data['company']        = "activeNav";
            $data['main_content'] = 'Add_company_view';
            $this->load->view('includes/template', $data);
        } else {
            if ($Data_list == '0') {
                $Website            = $this->input->post('Website');
                $company_name       = $this->input->post('company_name');
                $location           = $this->input->post('location');
                $activitie_id       = $this->input->post('activitie_id');
                $country            = $this->input->post('country');
                $user_id            = $this->session->userdata('userid');
                $ip                 = $this->input->ip_address();
                $Existing           = $this->input->post('Existing');
                $Note               = $this->input->post('Note');
                $company_id         = $this->home_model->companyGetID($company_id);
                $company_id_1  = $company_id + 1; 
                $generate_id = sprintf("%04d",$company_id_1);
               

                $val = array(
                    'company_name'      => $company_name,
                    'location'          => $location,
                    'activitie_id'      => $activitie_id,
                    'country'           => $country,
                    'notes'             => $notes,
                    'Website'           => $Website,
                    'user_id'           => $user_id,
                    'ip'                => $ip,
                    'Existing'          => $Existing,
                    'Note'              => $Note,
                    'ref_no'            => 'C'.$generate_id,
                );
                $tablename="company_data";
                $this->home_model->tableInsert($tablename,$val);
                $this->company_mill_address($company_id);
            } else {
                $msg = "<h1>Company Name Is Already Exit.</h1>";
                $data['message'] = $msg;
                $location = $this->Utilities_model->getListDet('location_id,location_name','location','location_name');
                $data['location'] = $location;
                $area_type = $this->Utilities_model->getListDet('country_id,country_name','country','country_name');
                $data['area_type'] = $area_type;
                $data['company']        = "activeNav";
                $data['main_content'] = 'Add_company_view';
                $this->load->view('includes/template', $data);
            }
            
        }
    }
    
    function company_mill_address($company_id){
        foreach ($this->input->post('mill_address') as $key =>$val)
            {
                $amount2[]=$val;
            }
        $company_id = $this->home_model->companyGetID($company_id);
        $user_id    = $this->session->userdata('userid');
        $ip         = $this->input->ip_address();
            for($i = 0; $i < count($amount2); $i++){
                    $formValues = array(                         
                        'company_id'    => $company_id,
                        'mill_address'  => $amount2[$i],
                        'user_id'       => $user_id,
                        'ip'            => $ip
                        );
                $tablename="company_mill_address_data";
                $this->home_model->tableInsert($tablename,$formValues);               
            } 
            $this->company_office_address($company_id);
    }

    
    function company_office_address($company_id){
        foreach ($this->input->post('off_address_data') as $key =>$val)
            {
                $amount2[]=$val;
            }
        $company_id = $this->home_model->companyGetID($company_id);
        $user_id    = $this->session->userdata('userid');
        $ip         = $this->input->ip_address();
            for($i = 0; $i < count($amount2); $i++){
                    $formValues = array(                         
                        'company_id'    => $company_id,
                        'off_address_data'  => $amount2[$i],
                        'user_id'       => $user_id,
                        'ip'            => $ip
                        );
                $tablename="company_office_address_data";
                $this->home_model->tableInsert($tablename,$formValues);               
            } 
          $this->company_contact_number($company_id);
    }
    
    function company_contact_number($company_id){
        foreach ($this->input->post('contact_std_code') as $key =>$val)
            {
                $amount2[]=$val;
            }
        foreach ($this->input->post('contact_L_no_data') as $key =>$val)
            {
                $amount3[]=$val;
            }
        $company_id = $this->home_model->companyGetID($company_id);
        $user_id    = $this->session->userdata('userid');
        $ip         = $this->input->ip_address();
            for($i = 0; $i < count($amount2); $i++){
                    $formValues = array(                         
                        'company_id'    => $company_id,
                        'contact_std_code'  => $amount2[$i],
                        'contact_L_no'  => $amount3[$i],
                        'user_id'       => $user_id,
                        'ip'            => $ip
                        );
                $tablename="company_contact_number";
                $this->home_model->tableInsert($tablename,$formValues);               
            } 
        $this->company_office_contact($company_id);
    }
    
    function company_office_contact($company_id){
        foreach ($this->input->post('Office_std_code') as $key =>$val)
            {
                $amount2[]=$val;
            }
        foreach ($this->input->post('Office_L_no') as $key =>$val)
            {
                $amount3[]=$val;
            }
        $company_id = $this->home_model->companyGetID($company_id);
        $user_id    = $this->session->userdata('userid');
        $ip         = $this->input->ip_address();
            for($i = 0; $i < count($amount2); $i++){
                    $formValues = array(                         
                        'company_id'    => $company_id,
                        'Office_std_code'  => $amount2[$i],
                        'Office_L_no'  => $amount3[$i],
                        'user_id'       => $user_id,
                        'ip'            => $ip
                        );
                $tablename="office_contact_number";
                $this->home_model->tableInsert($tablename,$formValues);               
            } 
        redirect('home/company');
    }
    
    function Add_Visit($company_id){
            $list                   = $this->home_model->display_Move_Data('*','company_data','company_id',$company_id);
            $data['list']           = $list;
            $data['company_id']     = $company_id;
            $data['company_visit']  = "activeNav";
            $data['main_content']   = 'Add_company_visit_view';
            $this->load->view('includes/template', $data);
    }
    
    function View_Visit($company_id){
        $visit_list             = $this->home_model->display_Move_Data('*','company_visit_details','company_id',$company_id);
        $data['visit_list']     = $visit_list;
        $company_name            = $this->home_model->get_record_where('company_data','company_id',$company_id);
        $data['company_name']=$company_name[0]['company_name'];
        $data['company_visit']        = "activeNav";            
        $data['main_content']   = 'visit_display_view';
        $this->load->view('includes/template', $data);        
    }
    
    
    function Delete_Visit($visit_id,$company_id){
        $this->home_model->delete_Data('visit_id',$visit_id,'company_visit_details');
        redirect('home/View_Visit/'.$company_id);
    }
    
    function movedata_Visit($visit_id,$company_id){
        $list                   = $this->home_model->display_Move_Data('*','company_visit_details','visit_id',$visit_id);
        $data['list']           = $list;
        $data['company_visit']  = "activeNav";   
        $data['main_content']   = 'update_visit_view';
        $this->load->view('includes/template', $data);
    }
    
    function update_visit($visit_id){ 
        $visit_id   = $this->input->post('visit_id');
        $visit_by   = $this->input->post('visit_by');
        $visit_date = $this->input->post('visit_date');
        $remarks    = $this->input->post('remarks');
        $company_id = $this->input->post('company_id');
        
         $data = array(                
                'visit_id'    => $visit_id,  
                'visit_by'    => $visit_by,
                'visit_date'  => $visit_date,
                'remarks'     => $remarks
             );
        $this->home_model->update_Data('visit_id',$data,'company_visit_details');
        redirect('home/View_Visit/'.$company_id);
    }

    function Add_Visit_data(){
        $company_id = $this->input->post('company_id');
        $visit_by   = $this->input->post('visit_by');
        $visit_date = $this->input->post('visit_date');
        $remarks    = $this->input->post('remarks') ;

        $formValues = array(                         
            'visit_by'    => $visit_by,
            'visit_date'  => $visit_date,
            'remarks'     => $remarks,
            'company_id'  => $company_id
            );
            $tablename="company_visit_details";
            $this->home_model->tableInsert($tablename,$formValues); 
           
            redirect('home/company_visit_menu');
    }

    function delete_company($company_id){ 
        $company_list= $this->home_model->display_Move_Data('company_name','company_data','company_id',$company_id);
        $company_Name= $company_list[0]['company_name']; 
        $count       = $this->home_model->del_num_row_2($company_Name);
        if($count=='0')
        {
            $this->home_model->delete_Data('company_id',$company_id,'company_data');
            redirect('home/company');             
        }
        else
        { 
            $msg = "<center><h1>Company Name Is Use</h1></center>";
            $data['message'] = $msg;
            redirect('home/company');
        }     
    }
    
    function movedata_company($company_id){
        $location = $this->Utilities_model->getListDet('location_id,location_name','location','location_name');
        $data['location'] = $location;
        $list                   = $this->home_model->display_Move_Data('*','company_data','company_id',$company_id);
        $data['list']           = $list;
        $address_list                   = $this->home_model->display_Move_Data('*','company_mill_address_data','company_id',$company_id);
        $data['address_list']           = $address_list;
        $office_address                 = $this->home_model->display_Move_Data('*','company_office_address_data','company_id',$company_id);
        $data['office_address']         = $office_address;
        $office_number                  = $this->home_model->display_Move_Data('*','office_contact_number','company_id',$company_id);
        $data['office_number']          = $office_number;
        $company_number                 = $this->home_model->display_Move_Data('*','company_contact_number','company_id',$company_id);
        $data['company_number']         = $company_number;
        $Activities = $this->Utilities_model->getListDet('activitie_id,activitie_name','activitie_master','activitie_name');
        $data['Activities'] = $Activities;
        $data['company']        = "activeNav";            
        $data['main_content']   = 'update_company_view';
        $this->load->view('includes/template', $data);
    }
    
    function remove_Mill_Address(){
        $id         = $this->input->post('id_o');
        $company_id = $this->input->post('r_id_o');
        $list       = $this->home_model->delete_Data('address_id',$id,'company_mill_address_data');
        $address_list                   = $this->home_model->display_Move_Data('*','company_mill_address_data','company_id',$company_id);
        $data['address_list']           = $address_list;   
        $this->load->view('update_Mill_Address_view', $data);
    }
    
    function remove_contact_number(){
        $id = $this->input->post('id_o');
        $company_id = $this->input->post('r_id_o');
        $list = $this->home_model->delete_Data('contact_number_id',$id,'company_contact_number');
        $company_number                 = $this->home_model->display_Move_Data('*','company_contact_number','company_id',$company_id);
        $data['company_number']         = $company_number;  
        $this->load->view('update_contact_number_view', $data);
    }
    
    function remove_office_Address(){
        $id = $this->input->post('id_o');
        $company_id = $this->input->post('r_id_o');
        $list = $this->home_model->delete_Data('office_address_id',$id,'company_office_address_data');
        $office_address                 = $this->home_model->display_Move_Data('*','company_office_address_data','company_id',$company_id);
        $data['office_address']         = $office_address;   
        $this->load->view('update_Office_Address_view', $data);
    }
    
    function remove_office_contact(){
        $id = $this->input->post('id_o');
        $company_id = $this->input->post('r_id_o');
        $list = $this->home_model->delete_Data('office_contact_id',$id,'office_contact_number');
        $office_number                  = $this->home_model->display_Move_Data('*','office_contact_number','company_id',$company_id);
        $data['office_number']          = $office_number;  
        $this->load->view('update_office_contact_view', $data);
    }

    function update_company($company_id){ 
        $company_name       = $this->input->post('company_name'); 
        $company_id         = $this->input->post('company_id'); 
        $Data_list = $this->home_model->Find_value_id('company_data','company_name',$company_name,'company_id',$company_id);
        if ($Data_list == '0') { 
            $Website            = $this->input->post('Website');
            $company_name       = $this->input->post('company_name'); 
            $company_id         = $this->input->post('company_id'); 
            $company_name       = $this->input->post('company_name'); 
            $location           = $this->input->post('location');
            $activitie_id       = $this->input->post('activitie_id');
            $country            = $this->input->post('country');
            $user_id            = $this->session->userdata('userid');
            $ip                 = $this->input->ip_address();
            $Existing           = $this->input->post('Existing');
            $Note               = $this->input->post('Note');

            $data = array(
                    'company_id'        => $company_id,
                    'company_name'      => $company_name,
                    'location'          => $location,
                    'activitie_id'      => $activitie_id,
                    'country'           => $country,
                    'notes'             => $notes,
                    'Website'           => $Website,
                    'user_id'           => $user_id,
                    'ip'                => $ip,
                    'Existing'          => $Existing,
                    'Note'              => $Note
                );
            $this->home_model->update_Data('company_id',$data,'company_data');
            $this->update_company_mill_address($company_id);
        } else {
            $company_id         = $this->input->post('company_id'); 
            $msg = "<h1>Company Name Is Already Exit.</h1>";
            $data['message'] = $msg;
            $location = $this->Utilities_model->getListDet('location_id,location_name','location','location_name');
            $data['location'] = $location;
            $list                   = $this->home_model->display_Move_Data('*','company_data','company_id',$company_id);
            $data['list']           = $list;
            $address_list                   = $this->home_model->display_Move_Data('*','company_mill_address_data','company_id',$company_id);
            $data['address_list']           = $address_list;
            $office_address                 = $this->home_model->display_Move_Data('*','company_office_address_data','company_id',$company_id);
            $data['office_address']         = $office_address;
            $office_number                  = $this->home_model->display_Move_Data('*','office_contact_number','company_id',$company_id);
            $data['office_number']          = $office_number;
            $company_number                 = $this->home_model->display_Move_Data('*','company_contact_number','company_id',$company_id);
            $data['company_number']         = $company_number;
            $data['company']        = "activeNav";            
            $data['main_content']   = 'update_company_view';
            $this->load->view('includes/template', $data);
        }   
    }
    
    function update_company_mill_address($company_id){
        $list = $this->home_model->delete_Data('company_id',$company_id,'company_mill_address_data');
        foreach ($this->input->post('mill_address') as $key =>$val)
            {
                $amount2[]=$val;
            }
        $user_id    = $this->session->userdata('userid');
        $ip         = $this->input->ip_address();
        $i = 0;
            for($i; $i < count($amount2); $i++){
                    $formValues = array(                    
                        'company_id'    => $company_id,
                        'mill_address'  => $amount2[$i],
                        'user_id'       => $user_id,
                        'ip'            => $ip
                        ); 
                          
                $tablename="company_mill_address_data";
                $this->home_model->tableInsert($tablename,$formValues); 
            } 
            $this->update_company_office_address($company_id);
    }
    
    function update_company_office_address($company_id){
        $list = $this->home_model->delete_Data('company_id',$company_id,'company_office_address_data');
        foreach ($this->input->post('off_address_data') as $key =>$val)
            {
                $amount2[]=$val;
            }
        $user_id    = $this->session->userdata('userid');
        $ip         = $this->input->ip_address();
        $i = 0;
            for($i; $i < count($amount2); $i++){
                    $formValues = array(                         
                        'company_id'    => $company_id,
                        'off_address_data'  => $amount2[$i],
                        'user_id'       => $user_id,
                        'ip'            => $ip
                        );    
                $tablename="company_office_address_data";
                $this->home_model->tableInsert($tablename,$formValues); 
            }
            $this->update_company_contact_number($company_id);
    }
    
    function update_company_contact_number($company_id){
        $list = $this->home_model->delete_Data('company_id',$company_id,'company_contact_number');
        foreach ($this->input->post('contact_std_code') as $key =>$val)
            {
                $amount2[]=$val;
            }
        foreach ($this->input->post('contact_L_no_data') as $key =>$val)
            {
                $amount3[]=$val;
            }
        $user_id    = $this->session->userdata('userid');
        $ip         = $this->input->ip_address();
            for($i = 0; $i < count($amount2); $i++){
                    $formValues = array(                         
                        'company_id'    => $company_id,
                        'contact_std_code'  => $amount2[$i],
                        'contact_L_no'  => $amount3[$i],
                        'user_id'       => $user_id,
                        'ip'            => $ip
                        );
                $tablename="company_contact_number";
                $this->home_model->tableInsert($tablename,$formValues);               
            } 
        $this->update_company_office_contact($company_id);
    }
    
    function update_company_office_contact($company_id){
        $list = $this->home_model->delete_Data('company_id',$company_id,'office_contact_number');
        foreach ($this->input->post('Office_std_code') as $key =>$val)
            {
                $amount2[]=$val;
            }
        foreach ($this->input->post('Office_L_no') as $key =>$val)
            {
                $amount3[]=$val;
            }
        $user_id    = $this->session->userdata('userid');
        $ip         = $this->input->ip_address();
            for($i = 0; $i < count($amount2); $i++){
                    $formValues = array(                        
                        'company_id'    => $company_id,
                        'Office_std_code'  => $amount2[$i],
                        'Office_L_no'  => $amount3[$i],
                        'user_id'       => $user_id,
                        'ip'            => $ip
                        );
                $tablename="office_contact_number";
                $this->home_model->tableInsert($tablename,$formValues);               
            } 
        redirect('home/company');
    }
    
    function company_viewData($company_id) {
        $location = $this->Utilities_model->getListDet('location_id,location_name','location','location_name');
        $data['location'] = $location;
        $list                   = $this->home_model->display_Move_Data('*','company_data','company_id',$company_id);
        $data['list']           = $list;
        $address_list                   = $this->home_model->display_Move_Data('*','company_mill_address_data','company_id',$company_id);
        $data['address_list']           = $address_list;
        $office_address                 = $this->home_model->display_Move_Data('*','company_office_address_data','company_id',$company_id);
        $data['office_address']         = $office_address;
        $office_number                  = $this->home_model->display_Move_Data('*','office_contact_number','company_id',$company_id);
        $data['office_number']          = $office_number;
        $company_number                 = $this->home_model->display_Move_Data('*','company_contact_number','company_id',$company_id);
        $data['company_number']         = $company_number;
        $Activities = $this->Utilities_model->getListDet('activitie_id,activitie_name','activitie_master','activitie_name');
        $data['Activities'] = $Activities;
        $data['company']        = "activeNav";
        $data['main_content']   = 'View_Company_Data';
        $this->load->view('includes/template', $data);        
    }

    function person_viewData($person_id){
        $list                   = $this->home_model->display_Move_Data('*','person_data','person_id',$person_id);
        $data['list']           = $list;
        $data['person']        = "activeNav";            
        $data['main_content']   = 'View_person_Data';
        $this->load->view('includes/template', $data);
    }


    function person(){
        $user_type      = $this->session->userdata('user_type');
        $user_id        = $this->session->userdata('userid');
        if($user_type == '1'){
        $list                   = $this->home_model->List_All_Select_Data('*','person_data');
        $data['list']           = $list;
        $data['person']        = "activeNav";            
        $data['main_content']   = 'person_display_view';
        $this->load->view('includes/template', $data);
        } else {
            $User_data         = $this->home_model->display_Move_Data('*','user_master','user_id',$user_id);
            $data['User_data']           = $User_data; 
            $pizza  = $User_data[0]['location_id'];
            $pieces = explode(",", trim($pizza, ","));
            for($i = 0; $i < count($pieces); $i++){
               $cond_l.="location='".$pieces[$i] ."' OR ";
            } 
            $cond_l=  substr($cond_l,0,-3);
            
            $list                   = $this->home_model->Select_company_Data($cond_l);
            $data['list']           = $list;
//            echo '<pre>';
//            print_r($list); exit;
            $count = count($list);
            for($i = 0; $i < ($count); $i++){
                $company_id = $list[$i]['company_id'];
                $person         = $this->home_model->display_Move_Data('*','company_data','company_id',$company_id);
                $data['person']           = $person;
//                $list         = $this->home_model->display_Move_Data('*','person_data','company_name',$area[0]['company_name']);
//                $data['list']           = $list; 
//                echo '<pre>';
//                print_r($person);
            }             
            
//            exit;
            
            $data['person']        = "activeNav";            
            $data['main_content']   = 'person_display_view';
            $this->load->view('includes/template', $data);
        }
    }
    
    function get_comapany_name(){
        $comp_type = $this->home_model->like_Data('*','company_data');
        
        $company_name="";

        foreach ($comp_type as $key) {
            $company_name .= "\"".$key['company_name']."\",";
        }
        $data="<script>
                            $(\"#company_name\").val(\"\");
                            
                            $(\"#company_name\").autocomplete({
                                source: [$company_name]
                            });
                            
                           </script>";
        echo $data;
    }
    
    function add_person(){        
        $this->form_validation->set_rules('company_id', 'Company Name', 'trim|required|xss_clean|');
        $this->form_validation->set_rules('person_name', 'First Name', 'trim|required|xss_clean|');
        $this->form_validation->set_rules('person_lname', 'Last Name', 'trim|xss_clean');
        $this->form_validation->set_rules('designation', 'Designation', 'trim|xss_clean');
        $this->form_validation->set_rules('email', 'Email', 'trim|xss_clean');
        $this->form_validation->set_rules('mobile', '', 'trim|min_length[10]|max_length[10]|numeric|xss_clean');
        $this->form_validation->set_rules('Office_std_code', 'Office STD CODE', 'trim|xss_clean');
        $this->form_validation->set_rules('Office_L_no', 'Office Land Line NO', 'trim|xss_clean');
        $this->form_validation->set_rules('im', 'Im', 'trim|xss_clean');
        
        if ($this->form_validation->run() == FALSE) {
        $comp_type = $this->home_model->List_All_Select_Data('*','company_data');
        $data['comp_type'] = $comp_type;
        $data['person']        = "activeNav";            
        $data['main_content']   = 'add_person_view';
        $this->load->view('includes/template', $data); 
        } else {
            $company_id     = $this->input->post('company_id');
            $person_name    = $this->input->post('person_name');
            $person_lname   = $this->input->post('person_lname');
            $designation    = $this->input->post('designation');
            $email          = $this->input->post('email');
            $mobile         = $this->input->post('mobile');
            $landline       = $this->input->post('landline');
            $Office_std_code= $this->input->post('Office_std_code');
            $Office_L_no    = $this->input->post('Office_L_no');
            $fax            = $this->input->post('fax');
            $im             = $this->input->post('im');
            $note           = $this->input->post('note');
            $user_id        = $this->session->userdata('userid');
            $ip             = $this->input->ip_address();

            $val = array(
                'Office_std_code'   => $Office_std_code,
                'Office_L_no'       => $Office_L_no,
                'company_id'        => $company_id,
                'person_name'       => $person_name,
                'person_lname'      => $person_lname,
                'designation'       => $designation,
                'email'             => $email,
                'mobile'            => $mobile,
                'landline'          => $landline,
                'fax'               => $fax,
                'im'                => $im,
                'note'              => $note,
                'user_id'           => $user_id,
                'ip'                => $ip
            );
            $tablename="person_data";
            $this->home_model->tableInsert($tablename,$val);
            redirect('home/person');
        }
    }
    
    function delete_person($person_id){        
        $this->home_model->delete_Data('person_id',$person_id,'person_data');
        redirect('home/person');
    }
    
    function movedata_person($person_id){
        $comp_type = $this->home_model->List_All_Select_Data('*','company_data');
        $data['comp_type'] = $comp_type;
        $list                   = $this->home_model->display_Move_Data('*','person_data','person_id',$person_id);
        $data['list']           = $list;
        $data['person']        = "activeNav";            
        $data['main_content']   = 'update_person_view';
        $this->load->view('includes/template', $data);
    }
    
    function update_person($person_id){ 
            $person_id      = $this->input->post('person_id'); 
            $company_id   = $this->input->post('company_id');
            $person_name    = $this->input->post('person_name');
            $person_lname   = $this->input->post('person_lname');
            $designation    = $this->input->post('designation');
            $email          = $this->input->post('email');
            $mobile         = $this->input->post('mobile');
            $landline       = $this->input->post('landline');
            $Office_std_code= $this->input->post('Office_std_code');
            $Office_L_no    = $this->input->post('Office_L_no');
            $fax            = $this->input->post('fax');
            $im             = $this->input->post('im');
            $user_id        = $this->session->userdata('userid');
            $ip             = $this->input->ip_address();
            $note           = $this->input->post('note');
        
         $data = array(
                'person_id'         => $person_id,
                'Office_std_code'   =>$Office_std_code,
                'Office_L_no'       =>$Office_L_no,
                'company_id'        =>$company_id,
                'person_name'       =>$person_name,
                'person_lname'      =>$person_lname,
                'designation'       =>$designation,
                'email'             =>$email,
                'mobile'            =>$mobile,
                'landline'          =>$landline,
                'fax'               =>$fax,
                'im'                =>$im,
                'note'              => $note,
                'user_id'           =>$user_id,
                'ip'                =>$ip
             );
        $this->home_model->update_Data('person_id',$data,'person_data');
        redirect('home/person');
    }
    
    function active_user($user_id){
         $user_id ;
        $confirm = '1'; 
        $update_data = array(
                'user_id' => $user_id,
                'confirm' => $confirm
                );

        $this->home_model->update_Data('user_id',$update_data,'user_master'); 
        $list                   = $this->home_model->List_All_Select_Data('*','user_master');
        $data['list']           = $list;       
        $data['main_content']   = 'user_display_view';
        $this->load->view('includes/template_admin', $data);
    }
    
    function deactive_user($user_id){
         $user_id ;
        $confirm = '0';  
        $update_data = array(
                'user_id' => $user_id,
                'confirm' => $confirm
                );

        $this->home_model->update_Data('user_id',$update_data,'user_master'); 
        $list                   = $this->home_model->List_All_Select_Data('*','user_master');
        $data['list']           = $list;       
        $data['main_content']   = 'user_display_view';
        $this->load->view('includes/template_admin', $data);
    }
    
    function Export_log(){
        $list                   = $this->home_model->List_All_Select_Data('*','export_log_data');
        $data['list']           = $list;    
        $data['export']        	= "activeNav";   
        $data['main_content']   = 'export_log__display_view';
        $this->load->view('includes/template', $data);
    }
        
    function company_visit_menu(){   
        $user_type      = $this->session->userdata('user_type');
        $user_id        = $this->session->userdata('userid');
        if($user_type == '1'){
            $list                   = $this->home_model->List_All_Select_Data('*','company_data');
            $data['list']           = $list;
            $Visit_list                   = $this->home_model->List_All_Select_Data('*','company_visit_details');
            $data['Visit_list']           = $Visit_list;
            $data['company_visit']  = "activeNav";   
            $data['main_content']   = 'company_visit_manu_view';
            $this->load->view('includes/template', $data);            
        } else {
            $User_data         = $this->home_model->display_Move_Data('*','user_master','user_id',$user_id);
            $data['User_data']           = $User_data;       
            $pizza  = $User_data[0]['location_id'];
            $pieces = explode(",", trim($pizza, ","));
            for($i = 0; $i < count($pieces); $i++){
               $cond_l.="location='".$pieces[$i] ."' OR ";
            } 
            $cond_l=  substr($cond_l,0,-3);
            
            $list                   = $this->home_model->Select_company_Data($cond_l);
            $data['list']           = $list;
            $data['company_visit']        = "activeNav";           
            $data['main_content']   = 'company_visit_manu_view';
            $this->load->view('includes/template', $data); 
        }
    }
    
    
    
    function change_password() {        
        $data['main_content']   = 'change_password_view';
        $this->load->view('includes/template', $data);
    }
    
    function change_pass_function(){
        $old_password = $this->input->post('old_password');
        $new_password = $this->input->post('new_password');
        $re_password = $this->input->post('re_password');  
        
        $user_id = $this->session->userdata('userid');
        $Data_list = $this->home_model->Get_password_check($user_id,$old_password);
        
        if ($Data_list) {
            if($new_password != ''){
                if($new_password == $re_password){
                    $data = array(                
                    'pass'    => $new_password,   
                    'R_pass'  => $new_password, 
                    'user_id' => $user_id
                );
                $this->home_model->update_Data('user_id',$data,'user_master');
                    $msg = "<center><h3 style=\"color:Green;\">Password Change Successfully.</h3></center>";
                    $data['massage_2'] = $msg;       
                    $data['main_content']   = 'change_password_view';
                    $this->load->view('includes/template', $data); 
                } else {
                    $msg = "<center><h3 style=\"color:red;\">Password doesn,t match.</h3></center>";
                    $data['massage_1'] = $msg;       
                    $data['main_content']   = 'change_password_view';
                    $this->load->view('includes/template', $data);                
                }
            } else {
                $msg = "<center><h3 style=\"color:red;\">Please Enter New Password.</h3></center>";
                $data['massage_1'] = $msg;       
                $data['main_content']   = 'change_password_view';
                $this->load->view('includes/template', $data);
            }
        } else {
            $msg = "<center><h3 style=\"color:red;\">Old Password Is Incorrect.</h3></center>";
            $data['massage'] = $msg;       
            $data['main_content']   = 'change_password_view';
            $this->load->view('includes/template', $data);           
        }
    }
    
    function person_first_name(){
        $person_type = $this->home_model->like_Data('*','person_data');
        
        $first_name="";
        
        foreach ($person_type as $key) {
            $first_name .= "\"".$key['person_name']."\",";
        }
        $data="<script>
                            $(\"#person_name\").val(\"\");
                            
                            $(\"#person_name\").autocomplete({
                                source: [$first_name]
                            });
                            
                           </script>";
        echo $data;
    }
    
    function person_last_name(){
        $person_type = $this->home_model->like_Data('*','person_data');
        
        $last_name="";
        
        foreach ($person_type as $key) {
            $last_name .= "\"".$key['person_lname']."\",";
        }
        $data="<script>
                            $(\"#person_lname\").val(\"\");
                            
                            $(\"#person_lname\").autocomplete({
                                source: [$last_name]
                            });
                            
                           </script>";
        echo $data;
    }
    
    function other_first_name(){
        $other_type = $this->home_model->like_Data('*','other_contact_details');
        
        $first_name="";
        
        foreach ($other_type as $key) {
            $first_name .= "\"".$key['person_name']."\",";
        }
        $data="<script>
                            $(\"#person_name\").val(\"\");
                            
                            $(\"#person_name\").autocomplete({
                                source: [$first_name]
                            });
                            
                           </script>";
        echo $data;
    }
    
    function other_last_name(){
        $other_type = $this->home_model->like_Data('*','other_contact_details');
        
        $last_name="";
        
        foreach ($other_type as $key) {
            $last_name .= "\"".$key['person_lname']."\",";
        }
        $data="<script>
                            $(\"#person_lname\").val(\"\");
                            
                            $(\"#person_lname\").autocomplete({
                                source: [$last_name]
                            });
                            
                           </script>";
        echo $data;
    }
    
    function other_email_id(){
        $other_type = $this->home_model->like_Data('*','other_contact_details');
        
        $email_id="";
        
        foreach ($other_type as $key) {
            $email_id .= "\"".$key['email']."\",";
        }
        $data="<script>
                            $(\"#email\").val(\"\");
                            
                            $(\"#email\").autocomplete({
                                source: [$email_id]
                            });
                            
                           </script>";
        echo $data;
    }
    
    function other_email_validation(){
        $email_id = $this->input->post('emailid');
        $Data_list = $this->home_model->Find_value('other_contact_details','email',$email_id);
        if ($Data_list == '0') {
            echo '<span style="color: green; font-size:15px; margin-top: -20px;">Email ID is available.</span>';
        }else{
            echo '<span style="color: red; font-size:15px; margin-top: -20px;" >Email ID is not available.</span>';
        }
    }        
}
?>