<?php

class Login extends CI_Controller {

    function __construct() {
        parent::__construct();
        error_reporting(E_ALL ^ (E_NOTICE | E_WARNING));
        $this->load->model('home_model');
        $this->load->model('Utilities_model');
		$this->load->model('login_model');
    }
     function index(){
        $this->loginForm();
    }

    
    
    
    /**
     * Just fetches the Login form VIEW for us.
     *
     * @author Amit Shrivastava
     * @package Customer Data Management System
     *
     *      */
    function loginForm() {
      
     //   $data['data']=NULL;
       // $data['main_content'] = 'login_view';
        $this->load->view('login_view');
    }


     /**
     * This checks if the data entered in the login box is valid. It uses the
     * form_validation helper in CI and validates the username:password fields
     *
     * If data is valid, control is passed on to the Flappar::candidateLogin() function.
     *
     * @access private
     * @author Amit Shrivastava
     * @package Customer Data Management System
     */
    function checkLogin() {

        $this->form_validation->set_rules('username', 'Username', 'trim|required|max_length[32]');
        $this->form_validation->set_rules('password', 'Password', 'trim|required||max_length[32]');
  //      $this->form_validation->set_message('required', 'You need to login using a password. Shyaana hay kya :)');

        if($this->form_validation->run()==FALSE) {
            $this->index();

        }
        else{
         $this->_candidateLogin();
        }
    }




    /**
     * This logs the candidate in. Since the employer cannot login, we have not
     * written functions for that now. We can easily add them as and when required.
     *
     * The function gets data from the Login Model and sets session IDs for the
     * logged in state.
     *
     * @author Amit Shrivastava
     * @package Customer Data Management System
     */


    function _candidateLogin() {
         error_reporting(E_ALL ^ (E_NOTICE | E_WARNING));
        $this->load->model('login_model');
        $q = $this->login_model->candLogin();

        if($q){

           $data = array(
                    'username'  => $q[0]['name'],
                    'user'      => $q[0]['username'],
                    'userid'    => $q[0]['user_id'],
                    //'pass'      => $q[0]['pass'],
                    'user_type' => $q[0]['user_type'],
                    'is_login'  => TRUE
                );
                
                // current time format
//                $timezone   = new DateTimeZone("Asia/Kolkata" );
//                $date       = new DateTime();
//                $date->setTimezone($timezone );
//                $last_modified = $date->format( 'Y-m-d H:i:s A' );
           
                $update_data = array(
                    'user_id'    => $q[0]['user_id'],
                    'last_login' => $last_modified
                    
                    );
            
            $this->home_model->update_Data('user_id',$update_data,'user_master');
            $this->session->set_userdata($data);
            $list = $this->home_model->CList();
            $data['list'] = $list;
//            $list                   = $this->home_model->List_All_Select_Data('*','company_data');
//            $data['list']           = $list;
//            $data['company']        = "activeNav";
//            $data['main_content'] = 'company_display_view';
//            $this->load->view('includes/template', $data);
            $user_type      = $this->session->userdata('user_type');
        $user_id        = $this->session->userdata('userid');
        if($user_type == '1'){
            $list                   = $this->home_model->List_All_Select_Data('*','company_data');
            $data['list']           = $list;
            $data['company']        = "activeNav";            
            $data['main_content']   = 'company_display_view';
            $this->load->view('includes/template', $data);            
        } else {
            $User_data         = $this->home_model->display_Move_Data('*','user_master','user_id',$user_id);
            $data['User_data']           = $User_data;            
            //location
            $pizza  = $User_data[0]['location_id'];
            $pieces = explode(",", trim($pizza, ","));
            for($i = 0; $i < count($pieces); $i++){
               $cond_l.="location='".$pieces[$i] ."' OR ";
            } 
            $cond_l=  substr($cond_l,0,-3);
            
            $list                   = $this->home_model->Select_company_Data($cond_l);
            $data['list']           = $list;
            
//            echo '<pre>';
//            print_r($list);
//            exit;
            $data['company']        = "activeNav";           
            $data['main_content']   = 'company_display_view';
            $this->load->view('includes/template', $data); 
        }


        }else{

           $data['message'] = "<b><p class=\"\">Please Enter Valid User Name & Password</p></b>";
           $data['data'] = NULL;
           $data['main_content'] = 'login_view_another';
           $this->load->view('includes/template_login', $data);

        }
    }

	function Forgot_Password(){
        $this->load->view('password_view');
    }
    
    function Password_show($user_name){
        $user_name = $this->input->post('username'); 
        $select_type = '1'; 
        //$list   = $this->login_model->display_Move_Data('*','user_master','username',$user_name);
        $list   = $this->login_model->display_Move_Data('*','user_master','username',$user_name,'select_type',$select_type);
        
//        echo '<pre>';
//        print_r($list);
//        exit;
        $user_id =  $list [0]['user_id'];
        $user_type =  $list[0]['user_type'];
        $password =  $list [0]['pass'];
        if($password == ''){            
            $msg = "<center><h1>Invalid User Name .</h1></center>";
            $data['message'] = $msg;
            $this->load->view('password_view',$data);
        } else {
            if($user_type == '1'){
                $data = array(                
                        'confirm'  => '1',
                        'user_id'     => $user_id
                    );
//                    echo '<pre>';
//                    print_r($data);
                
                $this->login_model->update_Data('user_id',$data,'user_master');
            }
        //exit;
        $message = '<html>
            <body>
            <table width="100%" border="0">
            <tr>
                <th>Username:</th>
                <td>'.$user_name. '</td> 
            </tr>
            <tr>
                <th>Password:</th>
                <td >'.$password. '</td> 
            </tr>
        </table>
        </body>
        </html>';
        $mail_to  = 'akitex@gmail.com';
		//$mail_to  = 'rajesh@cubictree.com';
        
        $server=$_SERVER['localhost'];

        $message  = wordwrap($message);
        $subject  = $user_name ."  "."User Password ";
        
        $headers  = "From: alerts@akitex.org" . "\r\n" .
        'MIME-Version: 1.0' . "\r\n";
        $headers .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";
        
        mail($mail_to ,$subject, $message, $headers);
        
        
        if($password == ''){
            $msg = 'Invalid User Name';
            $data['msg'] = $msg;
        }
        $this->load->view('password_view',$data);
        }
    }
	
  function logout() {
//        $array = array(
//                'uid'=>'',
//                'usertype'=>'',
//                'is_login'=>FALSE
//        );
        $array = array(
                    'username'  => $q[0]['name'],
                    'user'      => $q[0]['username'],
                    'userid'    => $q[0]['user_id'],
                    'pass'      => $q[0]['pass'],
                    'user_type' => $q[0]['user_type'],
                    'is_login'  => FALSE
                );
        $this->session->unset_userdata($array);
        $this->session->sess_destroy();
        redirect(base_url(), 'refresh'); 
        
    }
}

?>
