<style>
    .hidden { visibility:hidden }
    .message { padding:10px; margin:15px 0; display:block; text-align:left }
    .message-title { font-weight:bold; font-size:1.25em }
    .message-body { margin-top:4px }
    .error, .notice, .success { padding:.8em; margin-bottom:1em; border:2px solid #ddd }
    .error { background:#FBE3E4; color:#8a1f11; border-color:#FBC2C4 }
    .notice { background:#FFF6BF; color:#514721; border-color:#FFD324 }
    .success { background:#E6EFC2; color:#264409; border-color:#C6D880 }
    .error a { color:#8a1f11 }
    .notice a { color:#514721 }
    .success a { color:#264409 }
</style>

<script>
    function password(id){
        if(id=='0'){    
            $( "#export" ).hide();
            $( "#show_data" ).hide();
        }else if(id=='1'){
            $( "#export" ).show();
            $( "#show_data" ).hide();
            
        }else {
            $( "#export" ).hide();
            $( "#show_data" ).show();
        }
    }
</script>

<h1 class="title" id="d">User Section</h1>
<div class="fromWrap">    
    
<?php echo form_open(base_url().'utilities/check_user');

$name=array(
            'name' => 'name',
            'value' => set_value('name'),
            'id' => 'name',
            'class'=>'titleTxt'
        );


$username=array(
            'name' => 'username',
            'value' => set_value('username'),
            'id' => 'username',
            'class'=>'titleTxt'
        );

$pass=array(
            'name' => 'pass',
            'value' => set_value('pass'),
            'id' => 'pass',
            'class'=>'titleTxt'
        );

$R_pass=array(
            'name' => 'R_pass',
            'value' => set_value('R_pass'),
            'id' => 'R_pass',
            'class'=>'titleTxt'
        );

?>
    <div style=" color: red;   font-size: 20px; "><?PHP if($message){ echo $message; } ?></div> 
            <ul>
            <li>
                <div class="comboWrap">
                    <p>Full Name :</p>
                    <?php echo form_input($name); ?>
                    <?php
                    if (form_error('name')) {
                        ?>
                        <div class="errorMsg"><?php echo form_error('name', '<span>', '</span>'); ?></div>
                        <?php
                    }
                    ?>
                </div>
            </li>
            <li>
                <div class="bigTxtWrap">
                    <p>User Name :</p>
                    <?php echo form_input($username); ?>
                    <?php
                    if (form_error('username')) {
                        ?>
                        <div class="errorMsg"><?php echo form_error('username', '<span>', '</span>'); ?></div>
                        <?php     }    ?>                                    
                </div>
            </li>
            <li>
                <div class="fltLeft">
                    <p>Password :</p>
                    <?php echo form_password($pass); ?>
                    <?php
                    if (form_error('pass')) {
                        ?>
                        <div class="errorMsg"><?php echo form_error('pass', '<span>', '</span>'); ?></div>
                        <?php
                    }
                    ?>
                </div>
            </li>
            <li>
                <div class="fltLeft">
                    <p>Repeat Password :</p>
                    <?php echo form_password($R_pass); ?>
                    <?php
                    if (form_error('R_pass')) {
                        ?>
                        <div class="errorMsg"><?php echo form_error('R_pass', '<span>', '</span>'); ?></div>
                        <?php
                    }
                    ?>
                    <?PHP echo $message; ?>
                </div>
            </li>
            <li>
                <div class="fltLeft">
                    <p>User Type :</p>
                    <select name="user_type"  class="enrollSelectBox" onclick="password(this.value);">
                        <option value="0">Select User Type </option>
                        <?php foreach ($user_type as $user_type_list) { ?>
                            <option value="<?PHP echo $user_type_list[user_id]; ?>"><?PHP echo $user_type_list[role]; ?>
                            </option>
                        <?PHP } ?>
                    </select>
                    <?php
                    if (form_error('user_type')) {
                        ?>
                        <div class="errorMsg"><?php echo form_error('user_type', '<span>', '</span>'); ?></div>
                        <?php
                    }
                    ?>
                    <div style="margin-left: 0px; display:none; margin-top:20px;" id="export"><p>Export Password:</p><input type="password"  name="export_pass" class="txtBox"></div>
                </div>
            </li>
            <div id="show_data" style="display:none;">
            <li>
                <div class="fltLeft">
                    <p>Contact:</p>                      
                    <select multiple="multiple" id="chkcontact" name="contact_id">
                        <optgroup label="Other Contact">
                            <?php foreach ($Other_contact as $other_contact_list) { ?>
                                <option value="<?PHP echo $other_contact_list['contact_id']; ?>">&nbsp;&nbsp;&nbsp;<?PHP echo $other_contact_list['contact_type']; ?>
                                </option>
                            <?PHP } ?>
                        </optgroup>
                    </select>
                    <input type="hidden" id="txtcontact" name="contact_id" value=""/>                  
                </div>
                <div class="fltLeft" style="margin-left: 85px;">
                    <p>Location:</p>  
                    <select multiple="multiple" id="chklocation" name="location_id">
                        <optgroup label="Location">
                            <?php foreach ($location as $location_list) { ?>
                                <option value="<?PHP echo $location_list['location_id']; ?>">&nbsp;&nbsp;&nbsp;<?PHP echo $location_list['location_name']; ?>
                                </option>
                            <?PHP } ?>
                        </optgroup>
                    </select>
                    <input type="hidden" id="txtlocation" name="location_id" value=""/>      
                </div>
            </li>
        </div>
        <li style="list-style-type: none;">
            <div class="btnRow">
                <input type="submit" class="btn btn-primary btn-large" value="Save" />
                <a href="<?php echo base_url(); ?>utilities/user_display" class="btn btn-primary btn-large"  onclick="return confirm('All changes would get lost, Do you want to continue? ')" >Cancel</a>
            </div>
        </li>
    </ul>
    
    
        
</div>
</div>
</div>


<script type="text/javascript">
    $(function(){
        $("#chkcontact").multiselect({
            header: true,
            close: function () {
                debugger;
                var values = new Array();
                $(this).multiselect("getChecked").each(function (index, item) {
                    values.push($(item).val());
                });
                $("#txtcontact").val(values.join(","));
            }
        });   
        
        $("#chklocation").multiselect({
            header: true,
            close: function () {
                debugger;
                var values = new Array();
                $(this).multiselect("getChecked").each(function (index, item) {
                    values.push($(item).val());
                });
                $("#txtlocation").val(values.join(","));
            }
        });   
    });

</script>
    
<script type="text/javascript">
    $("select").multiselectfilter();
</script>