/*
SQLyog Community Edition- MySQL GUI v6.16
MySQL - 5.1.41 : Database - akitex
*********************************************************************
*/

/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

create database if not exists `akitex`;

USE `akitex`;

/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

/*Table structure for table `activitie_master` */

DROP TABLE IF EXISTS `activitie_master`;

CREATE TABLE `activitie_master` (
  `activitie_id` int(11) NOT NULL AUTO_INCREMENT,
  `activitie_name` varchar(5000) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `upload_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`activitie_id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;

/*Data for the table `activitie_master` */

insert  into `activitie_master`(`activitie_id`,`activitie_name`,`user_id`,`upload_time`) values (1,'Activities 123',NULL,'2013-01-09 01:00:01'),(2,'Activities',NULL,'2013-01-09 01:00:07');

/*Table structure for table `akitex_backup` */

DROP TABLE IF EXISTS `akitex_backup`;

CREATE TABLE `akitex_backup` (
  `backup_id` int(5) NOT NULL AUTO_INCREMENT,
  `backup_file_name` varchar(5000) DEFAULT NULL,
  `upload_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `download_status` int(11) DEFAULT NULL,
  PRIMARY KEY (`backup_id`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=latin1;

/*Data for the table `akitex_backup` */

insert  into `akitex_backup`(`backup_id`,`backup_file_name`,`upload_time`,`download_status`) values (1,'sql_backup1357806067-62a541d8b08084202a5f59333f6cb51c','2013-01-10 00:20:43',1),(2,'sql_backup1357806078-62a541d8b08084202a5f59333f6cb51c','2013-01-10 00:20:54',1),(3,'sql_backup1357806159-62a541d8b08084202a5f59333f6cb51c','2013-01-10 00:22:15',2),(4,'sql_backup1357806161-62a541d8b08084202a5f59333f6cb51c','2013-01-10 00:22:17',1),(5,'sql_backup1357806163-62a541d8b08084202a5f59333f6cb51c','2013-01-10 00:22:19',2),(6,'sql_backup1357806165-62a541d8b08084202a5f59333f6cb51c','2013-01-10 00:22:21',2),(7,'sql_backup1357806167-62a541d8b08084202a5f59333f6cb51c','2013-01-10 00:22:23',1),(8,'sql_backup1357806266-62a541d8b08084202a5f59333f6cb51c','2013-01-10 00:24:02',1);

/*Table structure for table `akitex_backup_1` */

DROP TABLE IF EXISTS `akitex_backup_1`;

CREATE TABLE `akitex_backup_1` (
  `backup_id` int(5) NOT NULL AUTO_INCREMENT,
  `backup_file_name` varchar(5000) DEFAULT NULL,
  `upload_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`backup_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

/*Data for the table `akitex_backup_1` */

/*Table structure for table `brand_marster` */

DROP TABLE IF EXISTS `brand_marster`;

CREATE TABLE `brand_marster` (
  `brand_id` int(11) NOT NULL AUTO_INCREMENT,
  `brand_name` varchar(5000) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `upload_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`brand_id`)
) ENGINE=MyISAM AUTO_INCREMENT=16 DEFAULT CHARSET=latin1;

/*Data for the table `brand_marster` */

insert  into `brand_marster`(`brand_id`,`brand_name`,`user_id`,`upload_time`) values (2,'Dornier',3,'2012-10-04 11:02:31'),(14,'Nouvo Pignone',1,'2012-10-05 07:28:58'),(4,'Other',3,'2012-10-04 11:02:48'),(5,'Panter',3,'2012-10-04 11:02:56'),(6,'Picanol',3,'2012-10-04 11:03:06'),(7,'Saurer',3,'2012-10-04 11:03:14'),(8,'SMIT',1,'2012-10-05 07:28:10'),(9,'Somet',3,'2012-10-04 11:03:30'),(10,'Sulzer',3,'2012-10-04 11:03:38'),(11,'Toyada',3,'2012-10-04 11:03:45'),(12,'Tsudakoma',3,'2012-10-04 11:03:56'),(13,'Vamatex',3,'2012-10-04 11:04:03');

/*Table structure for table `color_master` */

DROP TABLE IF EXISTS `color_master`;

CREATE TABLE `color_master` (
  `color_id` int(11) NOT NULL AUTO_INCREMENT,
  `color_name` varchar(5000) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `upload_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`color_id`)
) ENGINE=MyISAM AUTO_INCREMENT=10 DEFAULT CHARSET=latin1;

/*Data for the table `color_master` */

insert  into `color_master`(`color_id`,`color_name`,`user_id`,`upload_time`) values (2,'1',3,'2012-10-04 11:04:37'),(3,'2',3,'2012-10-04 11:04:42'),(4,'3',3,'2012-10-04 11:04:46'),(5,'4',3,'2012-10-04 11:04:51'),(6,'5',3,'2012-10-04 11:04:55'),(7,'6',3,'2012-10-04 11:04:58'),(8,'8',10,'2012-10-06 05:31:39');

/*Table structure for table `company_contact_number` */

DROP TABLE IF EXISTS `company_contact_number`;

CREATE TABLE `company_contact_number` (
  `contact_number_id` int(11) NOT NULL AUTO_INCREMENT,
  `contact_std_code` varchar(1000) DEFAULT NULL,
  `contact_L_no` varchar(1000) DEFAULT NULL,
  `company_id` int(5) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `ip` varchar(100) DEFAULT NULL,
  `upload_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`contact_number_id`)
) ENGINE=MyISAM AUTO_INCREMENT=27 DEFAULT CHARSET=latin1;

/*Data for the table `company_contact_number` */

insert  into `company_contact_number`(`contact_number_id`,`contact_std_code`,`contact_L_no`,`company_id`,`user_id`,`ip`,`upload_date`) values (17,'022','28428446',103,1,'0.0.0.0','2013-01-08 03:54:08'),(16,'022','22222288',103,1,'0.0.0.0','2013-01-08 03:54:08'),(15,'022','33333333',103,1,'0.0.0.0','2013-01-08 03:54:08'),(18,'022','28428446',104,16,'0.0.0.0','2013-01-08 04:23:21'),(19,'','',105,16,'0.0.0.0','2013-01-08 04:24:57'),(20,'','',106,16,'0.0.0.0','2013-01-08 04:26:07'),(21,'','',107,16,'0.0.0.0','2013-01-08 04:27:20'),(22,'','',108,16,'0.0.0.0','2013-01-09 01:12:43'),(26,'','',109,16,'0.0.0.0','2013-01-09 01:18:01');

/*Table structure for table `company_data` */

DROP TABLE IF EXISTS `company_data`;

CREATE TABLE `company_data` (
  `company_id` int(11) NOT NULL AUTO_INCREMENT,
  `company_name` varchar(5000) DEFAULT NULL,
  `off_address` text,
  `location` int(11) DEFAULT NULL,
  `country` int(11) DEFAULT NULL,
  `notes` text,
  `user_id` int(11) DEFAULT NULL,
  `ip` varchar(100) DEFAULT NULL,
  `upload_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `contact_std_code` varchar(100) DEFAULT NULL,
  `contact_L_no` varchar(100) DEFAULT NULL,
  `Office_std_code` varchar(100) DEFAULT NULL,
  `Office_L_no` varchar(100) DEFAULT NULL,
  `Website` varchar(500) DEFAULT NULL,
  `Existing` text,
  `Note` text,
  `ref_no` varchar(1000) DEFAULT NULL,
  `activitie_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`company_id`)
) ENGINE=MyISAM AUTO_INCREMENT=110 DEFAULT CHARSET=latin1;

/*Data for the table `company_data` */

insert  into `company_data`(`company_id`,`company_name`,`off_address`,`location`,`country`,`notes`,`user_id`,`ip`,`upload_date`,`contact_std_code`,`contact_L_no`,`Office_std_code`,`Office_L_no`,`Website`,`Existing`,`Note`,`ref_no`,`activitie_id`) values (1,'Chocolate','fdbgfdgfd',3,0,NULL,16,'0.0.0.0','2013-01-07 22:39:19','022','28428446','022','28428446','www.abc.com','fghgfh','fdgbfdg','C0001',NULL),(9,'company','fdgfdg',1,0,NULL,16,'0.0.0.0','2013-01-07 22:39:56','022','28428446','022','28428446','www.abc.com','fghgfh','fdgfdg','C0009',NULL),(10,'company 123','fgfdsgdsvg',12,0,NULL,16,'0.0.0.0','2013-01-07 22:40:15','022','28428446','022','28428446','www.abc.com','fghgfh','fdsgfdg','C0010',NULL),(99,'Chocolate 123','dsfdsf',1,0,NULL,16,'0.0.0.0','2013-01-07 22:51:34','022','28428446','022','28428446','www.abc.com','fghgfh','sadsafcas','C0099',NULL),(100,'company 1234','gfdfgfd',1,0,NULL,16,'0.0.0.0','2013-01-07 22:52:00','022','28428446','022','28428446','www.abc.com','fghgfh','dfgdfgdfg','C0100',NULL),(103,'Cubictree Technology Solutions Pvt Ltd.',NULL,3,0,NULL,1,'0.0.0.0','2013-01-08 02:06:32',NULL,NULL,NULL,NULL,'www.abc.com','dsf','dsfdsf','C0101',NULL),(104,'Cubictree Technology Solutions Pvt Ltd. 123',NULL,12,0,NULL,16,'0.0.0.0','2013-01-08 04:23:21',NULL,NULL,NULL,NULL,'www.abc.com','sdvcsdvc','dsvsdvsd','C0104',NULL),(105,'Weaving 1111',NULL,3,0,NULL,16,'0.0.0.0','2013-01-08 04:24:57',NULL,NULL,NULL,NULL,'','','','C0105',NULL),(106,'Nokia 123',NULL,3,0,NULL,16,'0.0.0.0','2013-01-08 04:26:07',NULL,NULL,NULL,NULL,'','','','C0106',NULL),(107,'Finishing 111',NULL,3,0,NULL,16,'0.0.0.0','2013-01-08 04:27:20',NULL,NULL,NULL,NULL,'','','','C0107',NULL),(109,'Chocolate qqq',NULL,3,0,NULL,16,'0.0.0.0','2013-01-09 01:17:56',NULL,NULL,NULL,NULL,'','','','C0108',2);

/*Table structure for table `company_details` */

DROP TABLE IF EXISTS `company_details`;

CREATE TABLE `company_details` (
  `company_id` int(5) NOT NULL AUTO_INCREMENT,
  `company_name` varchar(5000) DEFAULT NULL,
  `contact_type` enum('1','2','3') DEFAULT NULL COMMENT '1->Buyer,2->Seller,3->Agent',
  `country_id` int(5) DEFAULT NULL,
  `state` varchar(1000) DEFAULT NULL,
  `address` varchar(5000) DEFAULT NULL,
  `remarks` varchar(5000) DEFAULT NULL,
  `upload_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`company_id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;

/*Data for the table `company_details` */

insert  into `company_details`(`company_id`,`company_name`,`contact_type`,`country_id`,`state`,`address`,`remarks`,`upload_date`) values (1,'Cubictree','3',95,'daasda',NULL,NULL,'2012-04-13 14:59:52'),(2,'Microsoft','1',222,'No Idea','USA','No','2012-04-13 15:58:26'),(3,'admin','',95,'Maharatra','Mumbai','test','2012-10-12 12:10:10');

/*Table structure for table `company_mill_address_data` */

DROP TABLE IF EXISTS `company_mill_address_data`;

CREATE TABLE `company_mill_address_data` (
  `address_id` int(11) NOT NULL AUTO_INCREMENT,
  `mill_address` text,
  `company_id` int(5) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `ip` varchar(100) DEFAULT NULL,
  `upload_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`address_id`)
) ENGINE=MyISAM AUTO_INCREMENT=30 DEFAULT CHARSET=latin1;

/*Data for the table `company_mill_address_data` */

insert  into `company_mill_address_data`(`address_id`,`mill_address`,`company_id`,`user_id`,`ip`,`upload_date`) values (18,'mill 2',103,1,'0.0.0.0','2013-01-08 03:54:08'),(17,'mill 1',103,1,'0.0.0.0','2013-01-08 03:54:08'),(19,'mill 2',0,8,'0.0.0.0','2013-01-08 04:04:37'),(20,'mill 1',0,8,'0.0.0.0','2013-01-08 04:04:37'),(21,'csdscsdc',104,16,'0.0.0.0','2013-01-08 04:23:21'),(22,'vxfdcvxdvvfxdv',105,16,'0.0.0.0','2013-01-08 04:24:57'),(23,'',106,16,'0.0.0.0','2013-01-08 04:26:07'),(24,'',107,16,'0.0.0.0','2013-01-08 04:27:20'),(25,'cvcdvx',108,16,'0.0.0.0','2013-01-09 01:12:43'),(29,'dsfvsdvfsd',109,16,'0.0.0.0','2013-01-09 01:18:01');

/*Table structure for table `company_office_address_data` */

DROP TABLE IF EXISTS `company_office_address_data`;

CREATE TABLE `company_office_address_data` (
  `office_address_id` int(11) NOT NULL AUTO_INCREMENT,
  `off_address_data` text,
  `company_id` int(5) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `ip` varchar(100) DEFAULT NULL,
  `upload_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`office_address_id`)
) ENGINE=MyISAM AUTO_INCREMENT=56 DEFAULT CHARSET=latin1;

/*Data for the table `company_office_address_data` */

insert  into `company_office_address_data`(`office_address_id`,`off_address_data`,`company_id`,`user_id`,`ip`,`upload_date`) values (1,'Mumbai',101,1,'0.0.0.0','2013-01-08 01:57:30'),(2,'Goa',101,1,'0.0.0.0','2013-01-08 01:57:30'),(3,'dsfdsf',102,1,'0.0.0.0','2013-01-08 02:02:00'),(50,'',107,16,'0.0.0.0','2013-01-08 04:27:20'),(49,'',106,16,'0.0.0.0','2013-01-08 04:26:07'),(48,'',105,16,'0.0.0.0','2013-01-08 04:24:57'),(47,'dscvsdcv',104,16,'0.0.0.0','2013-01-08 04:23:21'),(46,'gfhfh g h',0,8,'0.0.0.0','2013-01-08 04:04:37'),(43,'office 2',103,1,'0.0.0.0','2013-01-08 03:54:08'),(44,'gfhfh g h',103,1,'0.0.0.0','2013-01-08 03:54:08'),(45,'office 2',0,8,'0.0.0.0','2013-01-08 04:04:37'),(51,'',108,16,'0.0.0.0','2013-01-09 01:12:43'),(55,'',109,16,'0.0.0.0','2013-01-09 01:18:01');

/*Table structure for table `company_referance_number` */

DROP TABLE IF EXISTS `company_referance_number`;

CREATE TABLE `company_referance_number` (
  `ref_id` int(11) NOT NULL AUTO_INCREMENT,
  `ref_no` varchar(1000) DEFAULT NULL,
  `company_id` int(11) DEFAULT NULL,
  `company_name` varchar(2000) DEFAULT NULL,
  PRIMARY KEY (`ref_id`)
) ENGINE=MyISAM AUTO_INCREMENT=22 DEFAULT CHARSET=latin1;

/*Data for the table `company_referance_number` */

insert  into `company_referance_number`(`ref_id`,`ref_no`,`company_id`,`company_name`) values (1,'C0017',1,'cubictree'),(2,'C0018',10,'Nokia'),(3,'C0019',19,'company1234'),(4,'C0020',20,'company'),(5,'C0021',21,'Chocolate 123'),(6,'C0022',22,'Chocolate company'),(7,'C0023',23,'company 34555'),(8,'C0024',24,'sdfsdf sdfds fds'),(9,'C0025',25,'Chocolate 22222'),(10,'C001',1,'Chocolate'),(11,'C002',2,'cubictree'),(12,'C001',1,'Chocolate'),(13,'C002',2,'company'),(14,'C0010',10,'company 123'),(15,'C0011',11,'Chocolate 123'),(16,'C00100',100,'company 1234'),(17,'C00101',101,'Cubictree Technology Solutions Pvt Ltd.'),(18,'C00102',102,'Cubictree Technology Solutions Pvt Ltd.'),(19,'C00103',103,'Cubictree Technology Solutions Pvt Ltd.'),(20,'C00104',104,'Cubictree Technology Solutions Pvt Ltd. 123'),(21,'C00105',105,'Weaving 1111');

/*Table structure for table `company_visit_details` */

DROP TABLE IF EXISTS `company_visit_details`;

CREATE TABLE `company_visit_details` (
  `visit_id` int(11) NOT NULL AUTO_INCREMENT,
  `visit_by` varchar(1000) DEFAULT NULL,
  `visit_date` date DEFAULT NULL,
  `remarks` text,
  `company_id` int(11) DEFAULT NULL,
  `upload_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`visit_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;

/*Data for the table `company_visit_details` */

insert  into `company_visit_details`(`visit_id`,`visit_by`,`visit_date`,`remarks`,`company_id`,`upload_date`) values (1,'fsfsewedwd','2013-01-10','hgjhgh',1,'2013-01-10 02:39:53');

/*Table structure for table `contact_details` */

DROP TABLE IF EXISTS `contact_details`;

CREATE TABLE `contact_details` (
  `person_id` int(5) NOT NULL AUTO_INCREMENT,
  `company_id` int(5) DEFAULT NULL,
  `person_name` varchar(5000) DEFAULT NULL,
  `person_lname` varchar(5000) DEFAULT NULL,
  `email` varchar(5000) DEFAULT NULL,
  `designation` varchar(5000) DEFAULT NULL,
  `mill_address` varchar(5000) DEFAULT NULL,
  `off_address` varchar(5000) DEFAULT NULL,
  `mobile` varchar(5000) DEFAULT NULL,
  `landline` varchar(5000) DEFAULT NULL,
  `fax` varchar(5000) DEFAULT NULL,
  `im` varchar(5000) DEFAULT NULL,
  `location_id` int(5) DEFAULT NULL,
  `country_id` int(5) DEFAULT NULL,
  `notes` varchar(5000) DEFAULT NULL,
  `upload_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`person_id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;

/*Data for the table `contact_details` */

insert  into `contact_details`(`person_id`,`company_id`,`person_name`,`person_lname`,`email`,`designation`,`mill_address`,`off_address`,`mobile`,`landline`,`fax`,`im`,`location_id`,`country_id`,`notes`,`upload_date`) values (1,1,'Anuam','kumar','shrivaamit@gmail.com','CTO','Mumbai',NULL,'9998718878','0221234567','022123456','12312',1,3,'fg','2012-05-11 15:57:46'),(2,2,'Biill','Gates','Bill@gates.com','MD','USA',NULL,'9990238249','022123456','022123456','billu',1,4,'Imp Notes','2012-05-11 15:57:51'),(3,1,'asdasd','dasdas','shrivaamit@gmail.com','MD','dadasd','dasdas','9990238249','sadada','asdsa','fdas',1,3,'dadas','2012-05-11 15:41:00');

/*Table structure for table `contact_type` */

DROP TABLE IF EXISTS `contact_type`;

CREATE TABLE `contact_type` (
  `contact_id` int(5) NOT NULL AUTO_INCREMENT,
  `contact_type` varchar(1000) DEFAULT NULL,
  `prefix` varchar(100) DEFAULT NULL,
  `prefix_count` int(11) DEFAULT '1',
  `upload_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`contact_id`)
) ENGINE=MyISAM AUTO_INCREMENT=19 DEFAULT CHARSET=latin1;

/*Data for the table `contact_type` */

insert  into `contact_type`(`contact_id`,`contact_type`,`prefix`,`prefix_count`,`upload_date`) values (2,'Seller','S',1,'2012-12-24 01:27:51'),(1,'Agent','A',101,'2013-01-07 23:05:23'),(3,'Buyer','B',2,'2012-12-28 04:35:28'),(8,'buy','BU',1,'2012-12-24 01:27:47'),(18,'Rajesh Palande','RP',101,'2013-01-07 23:03:36');

/*Table structure for table `country` */

DROP TABLE IF EXISTS `country`;

CREATE TABLE `country` (
  `country_id` int(3) NOT NULL AUTO_INCREMENT,
  `country_name` varchar(100) NOT NULL,
  `country_code` int(5) DEFAULT NULL,
  PRIMARY KEY (`country_id`),
  UNIQUE KEY `yq_address_country_name` (`country_name`)
) ENGINE=MyISAM AUTO_INCREMENT=235 DEFAULT CHARSET=latin1;

/*Data for the table `country` */

insert  into `country`(`country_id`,`country_name`,`country_code`) values (1,'Albania',355),(2,'Afghanistan',93),(3,'Algeria',213),(4,'American Samoa',1684),(5,'Andorra',376),(6,'Angola',344),(7,'Anguilla',1264),(8,'Antarctica',672),(9,'Antigua and Barbuda',1268),(10,'Argentina',54),(11,'Armenia',374),(12,'Aruba',297),(13,'Australia',61),(14,'Austria',43),(15,'Azerbaijan',994),(16,'Bahamas',1242),(17,'Bahrain',973),(18,'Bangladesh',880),(19,'Barbados',1246),(20,'Belarus',375),(21,'Belgium',32),(22,'Belize',501),(23,'Benin',229),(24,'Bermuda',1441),(25,'Bhutan',975),(26,'Bolivia',591),(27,'Bosnia-Herzegovina',387),(28,'Botswana',267),(29,'Brazil',55),(30,'British Indian Ocean Territory',246),(31,'British Virgin Islands',1284),(32,'Brunei Darussalam',673),(33,'Bulgaria',359),(34,'Burkina Faso',226),(35,'Burundi',257),(36,'Cambodia',855),(37,'Cameroon',237),(38,'Canada',1),(39,'Canary Islands',34),(40,'Cape Verde',238),(41,'Cayman Islands',1345),(42,'Central African Republic',236),(43,'Chad',235),(44,'Chile',56),(45,'China',86),(46,'Colombia',57),(47,'Comoros',269),(48,'Congo Democratic Republic',243),(49,'Congo',242),(50,'Cook Islands',682),(51,'Costa Rica',506),(52,'Croatia',385),(53,'Cuba',53),(54,'Cyprus',357),(55,'Czech Republic',420),(56,'Denmark',45),(57,'Djibouti',253),(58,'Dominica',1767),(59,'Dominican Republic',1),(60,'East Timor',670),(61,'Ecuador',593),(62,'Egypt',20),(63,'El Salvador',503),(64,'Equatorial Guinea',240),(65,'Eritrea',291),(66,'Estonia',372),(67,'Ethiopia',251),(68,'Faeroes Islands',298),(69,'Falkland Islands',500),(70,'Fiji',679),(71,'Finland',358),(72,'France',33),(73,'French Guiana',594),(74,'French Polynesia',689),(75,'Gabon',241),(76,'Gambia',220),(77,'Georgia',995),(78,'Germany',49),(79,'Ghana',233),(80,'Gibraltar',350),(81,'Greece',30),(82,'Greenland',299),(83,'Grenada',1473),(84,'Guadeloupe',590),(85,'Guam',1671),(86,'Guatemala',502),(87,'Guinea',224),(88,'Guinea-Bissau',245),(89,'Guyana',592),(90,'Haiti',509),(91,'Honduras',504),(92,'Hong Kong',852),(93,'Hungary',36),(94,'Iceland',354),(95,'India',91),(96,'Indonesia',62),(97,'Iran',98),(98,'Iraq',964),(99,'Ireland',353),(100,'Israel',972),(101,'Isle of Man',833),(102,'Italy',39),(103,'Ivory Coast',225),(104,'Jamaica',1876),(105,'Japan',81),(106,'Jordan',962),(107,'Kazakhstan',7),(108,'Kenya',254),(109,'Kiribati',686),(110,'Kuwait',965),(111,'Kyrgyzstan',996),(112,'Laos',856),(113,'Latvia',371),(114,'Lebanon',961),(115,'Lesotho',266),(116,'Liberia',231),(117,'Libya',218),(118,'Liechtenstein',423),(119,'Lithuania',370),(120,'Luxembourg',352),(121,'Macao',853),(122,'Macedonia',389),(123,'Madagascar',261),(124,'Malawi',265),(125,'Malaysia',60),(126,'Maldives',960),(127,'Mali',223),(128,'Malta',356),(129,'Marshall Islands',692),(130,'Martinique',596),(131,'Mauritania',222),(132,'Mauritius',230),(133,'Mayotte',262),(134,'Mexico',52),(135,'Micronesia',691),(136,'Moldova',373),(137,'Monaco',377),(138,'Mongolia',976),(139,'Montenegro',382),(140,'Montserrat',1664),(141,'Morocco',212),(142,'Mozambique',258),(143,'Myanmar',95),(144,'Namibia',264),(145,'Nauru',674),(146,'Nepal',977),(147,'Netherlands Antilles',599),(148,'Netherlands',31),(149,'New Caledonia',687),(150,'New Zealand',64),(151,'Nicaragua',505),(152,'Niger',227),(153,'Nigeria',234),(154,'Niue',683),(155,'Norfolk Island',6723),(156,'North Korea',850),(157,'Northern Mariana Islands',1670),(158,'Norway',47),(159,'Oman',968),(160,'Pakistan',92),(161,'Palau',680),(162,'Palestinian Territory',970),(163,'Panama',507),(164,'Papua New Guinea',675),(165,'Paraguay',595),(166,'Peru',51),(167,'Philippines',63),(168,'Poland',48),(169,'Portugal',351),(170,'Puerto Rico',1),(171,'Qatar',974),(172,'Reunion',262),(173,'Romania',40),(174,'Russian Federation',7),(175,'Rwanda',250),(176,'Samoa',685),(177,'San Marino',378),(178,'Sao Tome and Principe',239),(179,'Saudi Arabia',966),(180,'Senegal',221),(181,'Serbia',381),(182,'Seychelles',248),(183,'Sierra Leone',232),(184,'Singapore',65),(185,'Slovak Republic',421),(186,'Slovenia',386),(187,'Solomon Islands',677),(188,'Somalia',252),(189,'South Africa',27),(190,'South Korea',82),(191,'Spain',34),(192,'Sri Lanka',94),(193,'St Helena',290),(194,'St Kitts and Nevis',1869),(195,'St Lucia',1758),(196,'St Pierre and Miquelon',508),(197,'St Vincent and the Grenadines',1784),(198,'Sudan',249),(199,'Suriname',597),(200,'Swaziland',268),(201,'Sweden',46),(202,'Switzerland',41),(203,'Syrian Arab Republic',963),(204,'Taiwan',886),(205,'Tajikistan',992),(206,'Tanzania',255),(207,'Thailand',66),(208,'Togo',228),(209,'Tokelau',690),(210,'Tonga',676),(211,'Trinidad and Tobago',1868),(212,'Tunisia',216),(213,'Turkey',90),(214,'Turkmenistan',993),(215,'Turks and Caicos',1649),(216,'Tuvalu',688),(217,'US Virgin Islands',1340),(218,'Uganda',256),(219,'Ukraine',380),(220,'United Arab Emirates',971),(221,'United Kingdom',44),(222,'United States',1),(223,'Uruguay',598),(224,'Uzbekistan',998),(225,'Vanuatu',678),(226,'Venezuela',58),(227,'Viet Nam',84),(228,'Wallis and Futuna',681),(229,'Yemen',967),(230,'Zambia',260),(231,'Zimbabwe',263);

/*Table structure for table `customer_data_details` */

DROP TABLE IF EXISTS `customer_data_details`;

CREATE TABLE `customer_data_details` (
  `id` int(5) NOT NULL AUTO_INCREMENT,
  `fname` varchar(5000) DEFAULT NULL,
  `mname` varchar(5000) DEFAULT NULL,
  `lname` varchar(5000) DEFAULT NULL,
  `building_name` varchar(5000) DEFAULT NULL,
  `flat_no` varchar(5000) DEFAULT NULL,
  `land_mark` varchar(5000) DEFAULT NULL,
  `society_no` varchar(5000) DEFAULT NULL,
  `mobile` varchar(5000) DEFAULT NULL,
  `landline_no1` varchar(5000) DEFAULT NULL,
  `landline_no2` varchar(5000) DEFAULT NULL,
  `landline_no3` varchar(5000) DEFAULT NULL,
  `upload_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;

/*Data for the table `customer_data_details` */

insert  into `customer_data_details`(`id`,`fname`,`mname`,`lname`,`building_name`,`flat_no`,`land_mark`,`society_no`,`mobile`,`landline_no1`,`landline_no2`,`landline_no3`,`upload_date`) values (1,'amitfasfaf','kumar','shrivastava','dheraj','402','Inorbit Mall','Deearj Socity','9987183351','0224545454','','','2012-02-24 13:16:21'),(3,'Hitesh','0','a','PrabhDevi Building','504','No Idea','Kawei','9990237249','222222222','21212212','212121','2012-04-04 09:30:52'),(5,'akitex','0','ff','ewe','aaa','aaaa','','45555555555','','','','2012-04-04 09:31:31'),(4,'Pratish','','Sanghvi','Crystal Classic','502','Golden','154-a','9819765050','','','','2012-02-24 07:52:45');

/*Table structure for table `execution_master` */

DROP TABLE IF EXISTS `execution_master`;

CREATE TABLE `execution_master` (
  `execution_id` int(11) NOT NULL AUTO_INCREMENT,
  `execution_name` varchar(5000) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `upload_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`execution_id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;

/*Data for the table `execution_master` */

insert  into `execution_master`(`execution_id`,`execution_name`,`user_id`,`upload_time`) values (2,'Airjet',3,'2012-10-04 10:59:55'),(3,'Projectile',3,'2012-10-04 11:00:03'),(4,'Rapier',10,'2012-10-06 05:38:47'),(5,'Waterjet',3,'2012-10-04 11:01:43');

/*Table structure for table `export_log_data` */

DROP TABLE IF EXISTS `export_log_data`;

CREATE TABLE `export_log_data` (
  `export_log_id` int(11) NOT NULL AUTO_INCREMENT,
  `file` int(5) DEFAULT NULL,
  `Expoting` varchar(1000) DEFAULT NULL,
  `user_name` varchar(2000) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `ip` varchar(100) DEFAULT NULL,
  `upload_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`export_log_id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;

/*Data for the table `export_log_data` */

insert  into `export_log_data`(`export_log_id`,`file`,`Expoting`,`user_name`,`user_id`,`ip`,`upload_date`) values (1,1,'Company','Rajesh Palande',16,'0.0.0.0','2013-01-11 01:26:16'),(2,1,'Person','Rajesh Palande',16,'0.0.0.0','2013-01-11 01:26:35'),(3,1,'2','Rajesh Palande',16,'0.0.0.0','2013-01-11 01:26:46'),(4,1,'1','Rajesh Palande',16,'0.0.0.0','2013-01-11 01:27:01'),(5,3,'18','Rajesh Palande',16,'0.0.0.0','2013-01-11 01:30:28');

/*Table structure for table `finishing_master` */

DROP TABLE IF EXISTS `finishing_master`;

CREATE TABLE `finishing_master` (
  `finishing_id` int(11) NOT NULL AUTO_INCREMENT,
  `brand` varchar(2000) DEFAULT NULL,
  `model` varchar(2000) DEFAULT NULL,
  `size` varchar(2000) DEFAULT NULL,
  `quantity` varchar(2000) DEFAULT NULL,
  `item` varchar(200) NOT NULL,
  `company_name` varchar(2000) DEFAULT NULL,
  `name` varchar(2000) DEFAULT NULL,
  `location` varchar(2000) DEFAULT NULL,
  `city` varchar(2000) DEFAULT NULL,
  `state` varchar(2000) DEFAULT NULL,
  `position` varchar(2000) DEFAULT NULL,
  `emaill_id` varchar(2000) DEFAULT NULL,
  `mobile_no` varchar(2000) DEFAULT NULL,
  `std_code` varchar(2000) DEFAULT NULL,
  `L_no` varchar(100) DEFAULT NULL,
  `decision_maker` varchar(2000) DEFAULT NULL,
  `decision_mobile_no` varchar(2000) DEFAULT NULL,
  `decision_email_id` varchar(2000) DEFAULT NULL,
  `technician_name` varchar(2000) DEFAULT NULL,
  `technician_mobile_no` varchar(2000) DEFAULT NULL,
  `technician_email_id` varchar(2000) DEFAULT NULL,
  `existing_equipment` text,
  `recommded_name` varchar(2000) DEFAULT NULL,
  `recommded_mobile_no` varchar(2000) DEFAULT NULL,
  `recommded_email_id` varchar(2000) DEFAULT NULL,
  `commission_agreed` varchar(2000) DEFAULT NULL,
  `extra_notes` text,
  `spare_pars` text,
  `description` text,
  `purpose` text,
  `user_id` int(5) DEFAULT NULL,
  `ip` varchar(100) DEFAULT NULL,
  `upload_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`finishing_id`)
) ENGINE=MyISAM AUTO_INCREMENT=15 DEFAULT CHARSET=latin1;

/*Data for the table `finishing_master` */

/*Table structure for table `item_master` */

DROP TABLE IF EXISTS `item_master`;

CREATE TABLE `item_master` (
  `item_id` int(11) NOT NULL AUTO_INCREMENT,
  `item_name` varchar(5000) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `upload_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`item_id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;

/*Data for the table `item_master` */

insert  into `item_master`(`item_id`,`item_name`,`user_id`,`upload_time`) values (3,'SE Warping M/CS',3,'2012-10-04 11:05:25'),(2,'Dire Section',3,'2012-10-04 11:05:17'),(4,'Simple Warper',3,'2012-10-04 11:05:34'),(5,'Sizing M/CS',3,'2012-10-04 11:05:42');

/*Table structure for table `location` */

DROP TABLE IF EXISTS `location`;

CREATE TABLE `location` (
  `location_id` int(5) NOT NULL AUTO_INCREMENT,
  `location_name` varchar(1000) DEFAULT NULL,
  `upload_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `state` varchar(2000) DEFAULT NULL,
  PRIMARY KEY (`location_id`)
) ENGINE=MyISAM AUTO_INCREMENT=14 DEFAULT CHARSET=latin1;

/*Data for the table `location` */

insert  into `location`(`location_id`,`location_name`,`upload_date`,`state`) values (12,'a','2012-10-23 15:13:40','a'),(3,'Malad','2012-10-23 15:00:49','Maharashtra'),(1,'Mumbai','2012-10-23 15:02:17','Maharashtra');

/*Table structure for table `machiner_master` */

DROP TABLE IF EXISTS `machiner_master`;

CREATE TABLE `machiner_master` (
  `machiner_id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(2000) DEFAULT NULL,
  `brand` varchar(2000) DEFAULT NULL,
  `model` varchar(2000) DEFAULT NULL,
  `description` text,
  `company_name` varchar(2000) DEFAULT NULL,
  `name` varchar(2000) DEFAULT NULL,
  `location` varchar(2000) DEFAULT NULL,
  `city` varchar(2000) DEFAULT NULL,
  `state` varchar(2000) DEFAULT NULL,
  `position` varchar(2000) DEFAULT NULL,
  `emaill_id` varchar(2000) DEFAULT NULL,
  `mobile_no` varchar(2000) DEFAULT NULL,
  `std_code` varchar(2000) DEFAULT NULL,
  `L_no` varchar(100) DEFAULT NULL,
  `decision_maker` varchar(2000) DEFAULT NULL,
  `decision_mobile_no` varchar(2000) DEFAULT NULL,
  `decision_email_id` varchar(2000) DEFAULT NULL,
  `technician_name` varchar(2000) DEFAULT NULL,
  `technician_mobile_no` varchar(2000) DEFAULT NULL,
  `technician_email_id` varchar(2000) DEFAULT NULL,
  `existing_equipment` text,
  `recommded_name` varchar(2000) DEFAULT NULL,
  `recommded_mobile_no` varchar(2000) DEFAULT NULL,
  `recommded_email_id` varchar(2000) DEFAULT NULL,
  `commission_agreed` varchar(2000) DEFAULT NULL,
  `extra_notes` text,
  `spare_pars` text,
  `user_id` int(5) DEFAULT NULL,
  `ip` varchar(100) DEFAULT NULL,
  `upload_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`machiner_id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;

/*Data for the table `machiner_master` */

/*Table structure for table `machinery_data` */

DROP TABLE IF EXISTS `machinery_data`;

CREATE TABLE `machinery_data` (
  `machinery_id` int(11) NOT NULL AUTO_INCREMENT,
  `machinery_type` int(11) DEFAULT NULL,
  `select_type` int(11) DEFAULT NULL,
  `offer_ref_id` int(5) DEFAULT NULL,
  `offer_ref_no` varchar(1000) DEFAULT NULL,
  `req_ref_id` int(5) DEFAULT NULL,
  `req_ref_no` varchar(1000) DEFAULT NULL,
  `other_ref_id` int(5) DEFAULT NULL,
  `other_ref_no` varchar(1000) DEFAULT NULL,
  `company_ref_number` varchar(1000) DEFAULT NULL,
  `brand` varchar(2000) DEFAULT NULL,
  `execution` varchar(1000) DEFAULT NULL,
  `shedding` varchar(1000) DEFAULT NULL,
  `size` varchar(2000) DEFAULT NULL,
  `color` int(11) DEFAULT NULL,
  `quantity` varchar(2000) DEFAULT NULL,
  `recommended_by` varchar(2000) DEFAULT NULL,
  `mobile_no` varchar(100) DEFAULT NULL,
  `email_id` varchar(1000) DEFAULT NULL,
  `any_commission` varchar(2000) DEFAULT NULL,
  `extra_notes` text,
  `user_id` int(11) DEFAULT NULL,
  `upload_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `model` varchar(2000) DEFAULT NULL,
  `item` varchar(2000) DEFAULT NULL,
  `creel` varchar(2000) DEFAULT NULL,
  `description` text,
  `purpose` text,
  `type` int(11) DEFAULT NULL,
  `priority` int(11) DEFAULT NULL,
  `add_contacted` varchar(1000) DEFAULT NULL,
  `Date_of_receipt` date DEFAULT NULL,
  `price1` varchar(1000) DEFAULT NULL,
  `price2` varchar(1000) DEFAULT NULL,
  `price3` varchar(1000) DEFAULT NULL,
  `price4` varchar(1000) DEFAULT NULL,
  `price3_others` varchar(1000) DEFAULT NULL,
  `machinery_others` varchar(1000) DEFAULT NULL,
  `price4_others` varchar(1000) DEFAULT NULL,
  `price2_others` varchar(1000) DEFAULT NULL,
  `year` varchar(1000) DEFAULT NULL,
  PRIMARY KEY (`machinery_id`)
) ENGINE=MyISAM AUTO_INCREMENT=12 DEFAULT CHARSET=latin1;

/*Data for the table `machinery_data` */

insert  into `machinery_data`(`machinery_id`,`machinery_type`,`select_type`,`offer_ref_id`,`offer_ref_no`,`req_ref_id`,`req_ref_no`,`other_ref_id`,`other_ref_no`,`company_ref_number`,`brand`,`execution`,`shedding`,`size`,`color`,`quantity`,`recommended_by`,`mobile_no`,`email_id`,`any_commission`,`extra_notes`,`user_id`,`upload_date`,`model`,`item`,`creel`,`description`,`purpose`,`type`,`priority`,`add_contacted`,`Date_of_receipt`,`price1`,`price2`,`price3`,`price4`,`price3_others`,`machinery_others`,`price4_others`,`price2_others`,`year`) values (1,1,1,0,'P001',NULL,NULL,NULL,NULL,'11','2','2','1','16',4,'Quantity','Recommended by12','9222292212','rajesh@cubictree.com','Any Commission Agreed','dsf dfvg dasf',1,'2013-01-07 03:06:37','94',NULL,NULL,NULL,NULL,NULL,2,'9221460041','2013-01-07','1000','Euro','FOB','Complete Lot','',NULL,'','','1998'),(2,2,2,NULL,NULL,0,'R001',NULL,NULL,'4','Brand',NULL,NULL,'Size1',NULL,'Quantity','Recommended by12','9221460041','rajesh12@cubictree.com','Any Commission Agreed','fdvgbfdbgvdxfv',1,'2013-01-07 03:16:44','Model','2','bcfgbxdf',NULL,NULL,NULL,2,'9221460041','2013-01-07','1000','Euro','Ex-works','Complete Lot','',NULL,'','','1998'),(3,4,3,NULL,NULL,NULL,NULL,0,'Z001','Other','5',NULL,NULL,NULL,NULL,NULL,'Recommended by 2','9221460041','rajesh12@cubictree.com','123Any Commission Agreed 2','hbcg',1,'2013-01-07 03:17:27','Model',NULL,NULL,'bcgbxfgcb',NULL,4,2,'9221460041','2013-01-07','1000','Rupees','CIF','Complete Lot','',NULL,'','','1998'),(4,1,1,8,'P009',NULL,NULL,NULL,NULL,'11','8','4','2','3',5,'Quantity1','Recommended by12','9222292212','rajesh12@cubictree.com','Any Commission Agreed','cvbcbfggfd',1,'2013-01-07 23:11:04','66',NULL,NULL,NULL,NULL,NULL,4,'9221460041','2013-01-07','1000','Dollar','CNF','Complete Lot','',NULL,'','',''),(5,1,1,9,'P0010',NULL,NULL,NULL,NULL,'10','2','2','2','4',3,'Quantity','Recommended by12','9221460041','rajesh@cubictree.com','Any Commission Agreed','vcbcvbcv bbv',1,'2013-01-07 23:11:41','96',NULL,NULL,NULL,NULL,NULL,2,'9221460041','2013-01-08','1000','Dollar','FOB','Per Set','',NULL,'','','2012'),(6,1,1,98,'P0099',NULL,NULL,NULL,NULL,'9','2','2','2','18',4,'Quantity','','','','','',1,'2013-01-07 23:12:29','94',NULL,NULL,NULL,NULL,NULL,1,'','0000-00-00','',' ',' ',' ','',NULL,'','',''),(7,1,1,99,'P0100',NULL,NULL,NULL,NULL,'12','2','2','2','18',3,'Quantity','','','','','',1,'2013-01-07 23:12:49','94',NULL,NULL,NULL,NULL,NULL,3,'','0000-00-00','',' ',' ',' ','',NULL,'','',''),(8,1,3,NULL,NULL,NULL,NULL,8,'Z0009','Other','2','2','1','17',3,'Quantity','','','','','',1,'2013-01-07 23:14:22','94',NULL,NULL,NULL,NULL,NULL,2,'','0000-00-00','',' ',' ',' ','',NULL,'','',''),(9,1,3,NULL,NULL,NULL,NULL,9,'Z0010','Other','2','2','1','18',2,'Quantity','','','','','',1,'2013-01-07 23:14:43','94',NULL,NULL,NULL,NULL,NULL,1,'','0000-00-00','',' ',' ',' ','',NULL,'','',''),(10,1,2,NULL,NULL,8,'R0009',NULL,NULL,'9','2','2','1','17',3,'Quantity','','','','','',1,'2013-01-07 23:15:34','94',NULL,NULL,NULL,NULL,NULL,3,'','0000-00-00','',' ',' ',' ','',NULL,'','',''),(11,1,2,NULL,NULL,9,'R0010',NULL,NULL,'100','2','2','1','19',3,'Quantity','','','','','',1,'2013-01-07 23:15:56','94',NULL,NULL,NULL,NULL,NULL,2,'','0000-00-00','',' ',' ',' ','',NULL,'','','');

/*Table structure for table `machinery_offer_details` */

DROP TABLE IF EXISTS `machinery_offer_details`;

CREATE TABLE `machinery_offer_details` (
  `offer_id` int(11) NOT NULL AUTO_INCREMENT,
  `offer_sent` varchar(1000) DEFAULT NULL,
  `offer_date` date DEFAULT NULL,
  `remark` text,
  `machinery_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`offer_id`)
) ENGINE=MyISAM AUTO_INCREMENT=11 DEFAULT CHARSET=latin1;

/*Data for the table `machinery_offer_details` */

insert  into `machinery_offer_details`(`offer_id`,`offer_sent`,`offer_date`,`remark`,`machinery_id`) values (1,'sent 40','2012-12-26','Remarks',40),(2,'sent 40+1','2012-12-29','rrr',40),(4,'vxvdx','2012-12-12','sdvfgsdvfg',40),(5,'offers test','2013-01-02','Remarks',40),(6,'test 123','2013-01-04','Remark',48),(7,'ADMIN','2013-01-02','TETET EWFESWDF ',48),(8,'test','2013-01-03','fgdfsgfdvg sfadsf ds',37),(10,'test 04','2013-01-04','jkdvcnsdvc ',37);

/*Table structure for table `model_master` */

DROP TABLE IF EXISTS `model_master`;

CREATE TABLE `model_master` (
  `model_id` int(11) NOT NULL AUTO_INCREMENT,
  `model_name` varchar(5000) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `upload_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `brand_id` int(11) DEFAULT NULL,
  `execution_id` varchar(11) NOT NULL,
  PRIMARY KEY (`model_id`)
) ENGINE=MyISAM AUTO_INCREMENT=101 DEFAULT CHARSET=latin1;

/*Data for the table `model_master` */

insert  into `model_master`(`model_id`,`model_name`,`user_id`,`upload_time`,`brand_id`,`execution_id`) values (2,'Master 92',10,'2012-10-09 03:39:28',9,'4'),(3,'E5 XP',10,'2012-10-09 04:44:53',5,'4'),(89,'SP 1151',10,'2012-10-09 04:55:34',13,'4'),(88,'SP 251',10,'2012-10-09 04:56:11',13,'4'),(6,'TW11',10,'2012-10-09 03:54:07',10,'3'),(7,'PU',10,'2012-10-09 03:56:04',10,'3'),(8,'E5 X',10,'2012-10-09 04:45:11',5,'4'),(9,'E4 X',10,'2012-10-09 04:45:20',5,'4'),(11,'Master 93',10,'2012-10-09 03:41:54',9,'4'),(12,'Thema 11',10,'2012-10-09 03:42:10',9,'4'),(13,'Thema 11 E',10,'2012-10-09 03:42:23',9,'4'),(14,'Excel',10,'2012-10-09 03:42:39',9,'4'),(15,'Thema Super Excel',10,'2012-10-09 03:42:55',9,'4'),(16,'Mythos',10,'2012-10-09 03:43:43',9,'2'),(17,'Alpha',10,'2012-10-09 03:49:40',9,'4'),(18,'P7100',10,'2012-10-09 03:56:16',10,'3'),(19,'P7200',10,'2012-10-09 03:56:31',10,'3'),(20,'G6200',10,'2012-10-09 03:56:47',10,'4'),(21,'G6300',10,'2012-10-09 03:57:02',10,'4'),(22,'G6500',10,'2012-10-09 03:57:22',10,'4'),(23,'GS 900',10,'2012-10-09 04:01:10',10,'4'),(24,'G6100',10,'2012-10-09 03:57:40',10,'4'),(25,'F 2001',10,'2012-10-09 04:39:30',10,'4'),(26,'STB',10,'2012-10-09 05:05:48',10,'4'),(27,'GTM',10,'2012-10-08 09:50:34',6,'4'),(28,'GTM-AS',10,'2012-10-09 03:50:10',6,'4'),(29,'GTM-A',10,'2012-10-09 03:50:26',6,'4'),(30,'GTX',10,'2012-10-09 03:50:39',6,'4'),(31,'Gamma',10,'2012-10-09 03:51:03',6,'4'),(32,'Gamma-X',10,'2012-10-09 03:51:19',6,'4'),(33,'Optimax',10,'2012-10-09 03:52:12',6,'4'),(34,'ZA 205',10,'2012-10-09 04:46:28',12,'2'),(35,'ZA-205i',10,'2012-10-09 04:46:44',12,'2'),(36,'ZA-209',10,'2012-10-09 04:46:56',12,'2'),(37,'ZA-209i',10,'2012-10-09 04:47:03',12,'2'),(38,'ZAX',10,'2012-10-09 04:47:15',12,'2'),(39,'ZAXN',10,'2012-10-09 04:47:27',12,'2'),(40,'Omni',10,'2012-10-09 03:52:26',6,'2'),(41,'Omni Plus',10,'2012-10-09 03:52:41',6,'2'),(42,'Delta-X',10,'2012-10-09 03:52:53',6,'2'),(43,'PAT',10,'2012-10-06 04:31:33',6,''),(44,'Zax-E',10,'2012-10-09 04:47:35',12,'2'),(45,'C401',10,'2012-10-09 04:56:19',13,'4'),(46,'P1001',10,'2012-10-09 04:56:26',13,'4'),(47,'Leonardo',10,'2012-10-09 04:56:34',13,'4'),(48,'P1001 ES',10,'2012-10-09 04:56:42',13,'4'),(49,'Leonardo Silver',10,'2012-10-09 04:56:51',13,'4'),(50,'P 401S',10,'2012-10-09 04:56:59',13,'4'),(51,'S 400',10,'2012-10-09 04:58:53',7,'4'),(52,'S 500',10,'2012-10-09 04:59:46',7,'4'),(53,'S 350',10,'2012-10-09 05:01:17',7,'4'),(54,'SD 1701',10,'2012-10-09 05:01:49',7,'4'),(55,'FAST T',10,'2012-10-08 08:14:53',14,'4'),(56,'FAST-R',10,'2012-10-08 08:36:34',14,'4'),(57,'FAST-S',10,'2012-10-08 09:49:16',14,'4'),(58,'TP 300',10,'2012-10-09 05:03:52',14,'4'),(59,'TP 522',10,'2012-10-09 05:03:59',14,'4'),(60,'TP 500',10,'2012-10-09 05:04:11',14,'4'),(61,'TP 422',10,'2012-10-09 05:04:21',14,'4'),(62,'TP 536',10,'2012-10-09 05:04:29',14,'4'),(63,'TP 321',10,'2012-10-09 05:04:37',14,'4'),(64,'TP 622',10,'2012-10-09 05:04:45',14,'4'),(65,'TP 524/2',10,'2012-10-09 05:03:41',14,'4'),(66,'G6300',10,'2012-10-09 04:57:36',8,'4'),(67,'GS 900',10,'2012-10-09 04:57:43',8,'4'),(68,'FAST',10,'2012-10-09 04:57:50',8,'4'),(69,'JAT710',10,'2012-10-09 04:45:44',11,'2'),(70,'T600',10,'2012-10-09 04:45:56',11,'2'),(71,'JAT 610',10,'2012-10-09 04:46:02',11,'2'),(72,'T700',10,'2012-10-09 04:46:06',11,'2'),(73,'GTN',10,'2012-10-08 08:07:40',2,'4'),(78,'GTV',10,'2012-10-08 08:10:57',2,'4'),(79,'PTV',10,'2012-10-08 08:11:22',2,'4'),(80,'PTS',10,'2012-10-08 08:11:36',2,'4'),(81,'ZW 303',10,'2012-10-09 04:47:46',12,'5'),(82,'ZW 303',10,'2012-10-09 04:47:55',12,'5'),(83,'ZW 405',10,'2012-10-09 04:48:04',12,'5'),(84,'ZW 408',1,'2012-10-10 02:05:01',12,'5'),(85,'ZW 403',10,'2012-10-09 04:48:29',12,'5'),(86,'ZW 302',10,'2012-10-09 04:48:39',12,'5'),(87,'ZW 315',10,'2012-10-09 04:48:49',12,'5'),(90,'SP 1151 ES',10,'2012-10-09 04:57:07',13,'4'),(91,'DYNA',10,'2012-10-09 04:57:15',13,'4'),(93,'HTV',10,'2012-10-08 07:52:43',2,'4'),(94,'AWS',10,'2012-10-08 07:53:22',2,'2'),(95,'HTN',10,'2012-10-08 07:54:52',2,'4'),(96,'AWV',10,'2012-10-08 07:55:18',2,'2'),(99,'Omni/Omni Plus',10,'2012-10-13 08:24:29',6,'2');

/*Table structure for table `office_contact_number` */

DROP TABLE IF EXISTS `office_contact_number`;

CREATE TABLE `office_contact_number` (
  `office_contact_id` int(11) NOT NULL AUTO_INCREMENT,
  `Office_std_code` varchar(1000) DEFAULT NULL,
  `Office_L_no` varchar(1000) DEFAULT NULL,
  `company_id` int(5) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `ip` varchar(100) DEFAULT NULL,
  `upload_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`office_contact_id`)
) ENGINE=MyISAM AUTO_INCREMENT=27 DEFAULT CHARSET=latin1;

/*Data for the table `office_contact_number` */

insert  into `office_contact_number`(`office_contact_id`,`Office_std_code`,`Office_L_no`,`company_id`,`user_id`,`ip`,`upload_date`) values (17,'022','25544662',103,1,'0.0.0.0','2013-01-08 03:54:08'),(16,'022','25544662',103,1,'0.0.0.0','2013-01-08 03:54:08'),(15,'022','25544662',103,1,'0.0.0.0','2013-01-08 03:54:08'),(18,'022','25544662',104,16,'0.0.0.0','2013-01-08 04:23:21'),(19,'','',105,16,'0.0.0.0','2013-01-08 04:24:57'),(20,'','',106,16,'0.0.0.0','2013-01-08 04:26:07'),(21,'','',107,16,'0.0.0.0','2013-01-08 04:27:20'),(22,'','',108,16,'0.0.0.0','2013-01-09 01:12:43'),(26,'','',109,16,'0.0.0.0','2013-01-09 01:18:01');

/*Table structure for table `other_contact_details` */

DROP TABLE IF EXISTS `other_contact_details`;

CREATE TABLE `other_contact_details` (
  `operson_id` int(5) NOT NULL AUTO_INCREMENT,
  `contact_id` int(5) DEFAULT NULL,
  `company_name` varchar(1000) DEFAULT NULL,
  `person_name` varchar(5000) DEFAULT NULL,
  `person_lname` varchar(5000) DEFAULT NULL,
  `email` varchar(5000) DEFAULT NULL,
  `mobile` varchar(5000) DEFAULT NULL,
  `landline` varchar(5000) DEFAULT NULL,
  `fax` varchar(5000) DEFAULT NULL,
  `im` varchar(5000) DEFAULT NULL,
  `notes` varchar(5000) DEFAULT NULL,
  `location_id` int(5) DEFAULT NULL,
  `country_id` int(5) DEFAULT NULL,
  `upload_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `user_id` int(5) DEFAULT NULL,
  `ip` varchar(100) DEFAULT NULL,
  `prefix` varchar(1000) DEFAULT NULL,
  `contact_ref_no` varchar(1000) DEFAULT NULL,
  `email_2` varchar(1000) DEFAULT NULL,
  `mobile_2` varchar(1000) DEFAULT NULL,
  PRIMARY KEY (`operson_id`)
) ENGINE=MyISAM AUTO_INCREMENT=26 DEFAULT CHARSET=latin1;

/*Data for the table `other_contact_details` */

insert  into `other_contact_details`(`operson_id`,`contact_id`,`company_name`,`person_name`,`person_lname`,`email`,`mobile`,`landline`,`fax`,`im`,`notes`,`location_id`,`country_id`,`upload_date`,`user_id`,`ip`,`prefix`,`contact_ref_no`,`email_2`,`mobile_2`) values (2,3,NULL,'Anuam','admin','shrivaamit@gmail.com','9990238249','dfsf','sdfsdfsdf','fsdfs','fsdfdsf',1,4,'2012-10-16 15:18:20',NULL,NULL,NULL,NULL,NULL,NULL),(3,3,NULL,'test','test','test@test.com','9222292222','01234567','3ee345','test','testtest',3,95,'2012-10-16 15:20:21',NULL,NULL,NULL,NULL,NULL,NULL),(4,8,NULL,'admin','admin','admin@admin.com','9221460041','01234567','3ee345','test','admin',10,95,'2012-10-23 15:01:26',NULL,NULL,NULL,NULL,NULL,NULL),(5,3,NULL,'Rajesh','Palande','rajeshpalande77@gmail.com','9221460041','022-28428446','22885566','IM','Notes',0,95,'2012-12-24 01:01:12',NULL,NULL,'B','B001',NULL,NULL),(6,3,NULL,'a','a','','','','','','',0,0,'2012-12-24 01:02:32',NULL,NULL,'B','B002',NULL,NULL),(10,18,NULL,'a','B','rajeshpalande77@gmail.com','9221460041','022-28428446','22885566','IM','Notes',0,112,'2012-12-26 02:20:17',NULL,NULL,'RP','RP002',NULL,NULL),(9,18,NULL,'Rajesh','Palande','rajeshpalande77@gmail.com','9221460041','022-28428446','22885566','IM','NOTES',0,12,'2012-12-26 02:19:12',NULL,NULL,'RP','RP001',NULL,NULL),(11,1,'Chocolate','a','a','','','','','','',12,2,'2013-01-07 03:07:58',16,'0.0.0.0','A','A001','',''),(12,1,NULL,'B','B','','','','','','',0,0,'2012-12-24 01:31:00',NULL,NULL,'A','A002',NULL,NULL),(13,1,'Chocolate','admin','admin','A@A.COM','2012012012','022-28428446','22885566','IM','Notes',3,17,'2012-12-26 05:06:00',1,'0.0.0.0','A','A003',NULL,NULL),(14,18,'company 123','Rajesh','Palande','rajesh@cubictree.com','9221460041','022-28428446','22885566','IM test','Notes test',3,95,'2012-12-27 03:58:57',16,'0.0.0.0','RP','RP003','rajeshpalande77@gmail.com','9222292222'),(16,3,'Chocolate','a','a','rajesh@cubictree.com','','','','','',3,1,'2012-12-28 04:35:28',NULL,NULL,'B','B001','',''),(17,18,'company 123','Rajesh','admin','rajesh@cubictree.com','9221460041','022-28428446','22885566','IM','rgfrsgfs',12,6,'2013-01-07 22:57:01',NULL,NULL,'RP','RP0005','B12@B.com','9222292222'),(18,18,'Chocolate','admin','admin','rajesh@cubictree.com','9221460041','022-28428446','22885566','IM test','dsvdsv',3,16,'2013-01-07 22:58:46',NULL,NULL,'RP','RP0006','rajeshpalande77@gmail.com','9222292222'),(19,18,'Chocolate','a','a','rajesh@cubictree.com','','','','','fdgfdg',3,17,'2013-01-07 22:58:53',NULL,NULL,'RP','RP0007','',''),(20,18,'company 22','admin','Palande','rajeshpalande77@gmail.com','9221460041','','','','vxcvxcv',3,18,'2013-01-07 23:02:24',NULL,NULL,'RP','RP0009','B12@B.com',''),(21,18,'Chocolate 123','admin','Palande','rajesh@cubictree.com','','','','','',3,0,'2013-01-07 23:02:55',NULL,NULL,'RP','RP0010','',''),(22,18,'Chocolate','Rajesh','Palande','rajesh@cubictree.com','','022-28428446','','','hnh',3,16,'2013-01-07 23:03:36',NULL,NULL,'RP','RP0100','',''),(23,1,'Chocolate','a','a','rajesh@cubictree.com','','','','','njhnn',3,0,'2013-01-07 23:04:10',NULL,NULL,'A','A0004','',''),(24,1,'Chocolate','a','a','','','','','','',1,0,'2013-01-07 23:05:01',NULL,NULL,'A','A0010','',''),(25,1,'company 123','Rajesh','Palande','rajesh@cubictree.com','','','','','',12,0,'2013-01-07 23:05:23',NULL,NULL,'A','A0100','B12@B.com','');

/*Table structure for table `other_master` */

DROP TABLE IF EXISTS `other_master`;

CREATE TABLE `other_master` (
  `other_id` int(11) NOT NULL AUTO_INCREMENT,
  `size` varchar(2000) DEFAULT NULL,
  `brand` varchar(2000) DEFAULT NULL,
  `model` varchar(2000) DEFAULT NULL,
  `quantity` varchar(2000) DEFAULT NULL,
  `description` text,
  `company_name` varchar(2000) DEFAULT NULL,
  `name` varchar(2000) DEFAULT NULL,
  `location` varchar(2000) DEFAULT NULL,
  `city` varchar(2000) DEFAULT NULL,
  `state` varchar(2000) DEFAULT NULL,
  `position` varchar(2000) DEFAULT NULL,
  `emaill_id` varchar(2000) DEFAULT NULL,
  `mobile_no` varchar(2000) DEFAULT NULL,
  `std_code` varchar(2000) DEFAULT NULL,
  `L_no` varchar(100) DEFAULT NULL,
  `decision_maker` varchar(2000) DEFAULT NULL,
  `decision_mobile_no` varchar(2000) DEFAULT NULL,
  `decision_email_id` varchar(2000) DEFAULT NULL,
  `technician_name` varchar(2000) DEFAULT NULL,
  `technician_mobile_no` varchar(2000) DEFAULT NULL,
  `technician_email_id` varchar(2000) DEFAULT NULL,
  `existing_equipment` text,
  `recommded_name` varchar(2000) DEFAULT NULL,
  `recommded_mobile_no` varchar(2000) DEFAULT NULL,
  `recommded_email_id` varchar(2000) DEFAULT NULL,
  `commission_agreed` varchar(2000) DEFAULT NULL,
  `extra_notes` text,
  `spare_pars` text,
  `user_id` int(5) DEFAULT NULL,
  `ip` varchar(100) DEFAULT NULL,
  `upload_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`other_id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=latin1;

/*Data for the table `other_master` */

insert  into `other_master`(`other_id`,`size`,`brand`,`model`,`quantity`,`description`,`company_name`,`name`,`location`,`city`,`state`,`position`,`emaill_id`,`mobile_no`,`std_code`,`L_no`,`decision_maker`,`decision_mobile_no`,`decision_email_id`,`technician_name`,`technician_mobile_no`,`technician_email_id`,`existing_equipment`,`recommded_name`,`recommded_mobile_no`,`recommded_email_id`,`commission_agreed`,`extra_notes`,`spare_pars`,`user_id`,`ip`,`upload_date`) values (5,'double knotting','Uster','Topmatic','4','staubli uster topmatic knotting machine\nWith Patern knotting , double knotting etc','CHOLA Textile Consultancy Services','Amit Bagrecha','Ichalkaranji','Ichalkaranji','','','amit.bagrecha@gmail.com','9822960600','00','00000000','','','','','','','','','','','','','',10,'59.97.138.47','2012-10-13 08:20:08'),(6,'500/1000  CFM','Ingersol  / Atlas  Copco /  Kaiser','Compressor','6','1) Make : Ingersol  / Atlas  Copco /  Kaiser<br />\n2) Type : Screw Type <br />\n3) Make : above 2008 / 2009<br />\nCompressor Required for airjet weaving machine.<br />\n4) Capacity Required :  500 CFM : 4pcs <br />\n                                    1000 CFM : 2 Pcs <br />\n','CHOLA Textile Consultancy Services','Amit Bagrecha','Ichalkaranji','Ichalkaranji','','','amit.bagrecha@gmail.com','9822960600','00','00000000','','','','','','','','','','','','','',10,'59.97.138.47','2012-10-13 08:22:33');

/*Table structure for table `person_data` */

DROP TABLE IF EXISTS `person_data`;

CREATE TABLE `person_data` (
  `person_id` int(11) NOT NULL AUTO_INCREMENT,
  `company_name` varchar(5000) DEFAULT NULL,
  `person_name` varchar(5000) DEFAULT NULL,
  `person_lname` varchar(5000) DEFAULT NULL,
  `designation` varchar(5000) DEFAULT NULL,
  `email` varchar(2000) DEFAULT NULL,
  `mobile` varchar(100) DEFAULT NULL,
  `landline` varchar(100) DEFAULT NULL,
  `fax` varchar(100) DEFAULT NULL,
  `im` varchar(100) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `ip` varchar(100) DEFAULT NULL,
  `upload_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `Office_std_code` varchar(100) DEFAULT NULL,
  `Office_L_no` varchar(100) DEFAULT NULL,
  `note` text,
  PRIMARY KEY (`person_id`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=latin1;

/*Data for the table `person_data` */

insert  into `person_data`(`person_id`,`company_name`,`person_name`,`person_lname`,`designation`,`email`,`mobile`,`landline`,`fax`,`im`,`user_id`,`ip`,`upload_date`,`Office_std_code`,`Office_L_no`,`note`) values (1,'cubictree','test','test','test','test@test.com','1234567890','0','0','test',1,'0.0.0.0','2012-12-26 00:39:16','022','22841542','dfvdsfdsf'),(3,'Nokia','admin','admin','admin','admin@admin.com','9221111111','0','0','test',1,'0.0.0.0','2012-10-18 17:39:19','022','22123874',NULL),(4,'cubictree','Rajesh','Palande','test','rajesh@cubictree.com','9221111111','0','0','test',1,'0.0.0.0','2012-10-18 17:44:07','022','44332211',NULL),(5,'Nokia','cubictree','cubictree 1','cubictree','admin@cubictree.com','9225566441','0','0','test',16,'0.0.0.0','2013-01-08 04:14:01','022','28852558','efewfrewsfr'),(7,'cubictree','sdsad','sadsad','','','2012012012','0','0','',16,'0.0.0.0','2012-12-28 04:34:17','','',''),(8,'cubictree','Rajesh','','','','9221460041','0','0','',11,'0.0.0.0','2012-12-28 04:35:09','','','');

/*Table structure for table `prepatory_master` */

DROP TABLE IF EXISTS `prepatory_master`;

CREATE TABLE `prepatory_master` (
  `prepatory_id` int(11) NOT NULL AUTO_INCREMENT,
  `brand` varchar(2000) DEFAULT NULL,
  `model` varchar(2000) DEFAULT NULL,
  `size` varchar(2000) DEFAULT NULL,
  `quantity` varchar(2000) DEFAULT NULL,
  `item` varchar(200) NOT NULL,
  `creel` varchar(2000) DEFAULT NULL,
  `company_name` varchar(2000) DEFAULT NULL,
  `name` varchar(2000) DEFAULT NULL,
  `location` varchar(2000) DEFAULT NULL,
  `city` varchar(2000) DEFAULT NULL,
  `state` varchar(2000) DEFAULT NULL,
  `position` varchar(2000) DEFAULT NULL,
  `emaill_id` varchar(2000) DEFAULT NULL,
  `mobile_no` varchar(2000) DEFAULT NULL,
  `std_code` varchar(2000) DEFAULT NULL,
  `L_no` varchar(100) DEFAULT NULL,
  `decision_maker` varchar(2000) DEFAULT NULL,
  `decision_mobile_no` varchar(2000) DEFAULT NULL,
  `decision_email_id` varchar(2000) DEFAULT NULL,
  `technician_name` varchar(2000) DEFAULT NULL,
  `technician_mobile_no` varchar(2000) DEFAULT NULL,
  `technician_email_id` varchar(2000) DEFAULT NULL,
  `existing_equipment` text,
  `recommded_name` varchar(2000) DEFAULT NULL,
  `recommded_mobile_no` varchar(2000) DEFAULT NULL,
  `recommded_email_id` varchar(2000) DEFAULT NULL,
  `commission_agreed` varchar(2000) DEFAULT NULL,
  `extra_notes` text,
  `spare_pars` text,
  `user_id` int(5) DEFAULT NULL,
  `ip` varchar(100) DEFAULT NULL,
  `upoload_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`prepatory_id`)
) ENGINE=MyISAM AUTO_INCREMENT=14 DEFAULT CHARSET=latin1;

/*Data for the table `prepatory_master` */

/*Table structure for table `shedding_master` */

DROP TABLE IF EXISTS `shedding_master`;

CREATE TABLE `shedding_master` (
  `shedding_id` int(11) NOT NULL AUTO_INCREMENT,
  `shedding_name` varchar(5000) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `upload_data` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`shedding_id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=latin1;

/*Data for the table `shedding_master` */

insert  into `shedding_master`(`shedding_id`,`shedding_name`,`user_id`,`upload_data`) values (1,'Cam',3,'2012-10-04 11:02:00'),(2,'Dobby',3,'2012-10-04 11:02:09'),(3,'Jacquard',10,'2012-10-06 05:23:43'),(4,'Cam/Dobby',10,'2012-10-16 05:19:40');

/*Table structure for table `size_master` */

DROP TABLE IF EXISTS `size_master`;

CREATE TABLE `size_master` (
  `size_id` int(11) NOT NULL AUTO_INCREMENT,
  `size_name` varchar(5000) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `upload_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`size_id`)
) ENGINE=MyISAM AUTO_INCREMENT=24 DEFAULT CHARSET=latin1;

/*Data for the table `size_master` */

insert  into `size_master`(`size_id`,`size_name`,`user_id`,`upload_time`) values (1,'above 390',10,'2012-10-06 05:28:30'),(4,'180',10,'2012-10-06 05:28:39'),(3,'170',10,'2012-10-05 09:05:55'),(5,'190',10,'2012-10-06 05:28:54'),(6,'200',10,'2012-10-06 05:29:07'),(7,'210',10,'2012-10-06 05:29:13'),(8,'220',10,'2012-10-06 05:29:20'),(9,'230',10,'2012-10-06 05:29:29'),(10,'240',10,'2012-10-06 05:29:36'),(11,'250',10,'2012-10-06 05:29:45'),(12,'260',10,'2012-10-06 05:30:05'),(13,'280',10,'2012-10-06 05:30:14'),(14,'300',10,'2012-10-06 05:30:21'),(15,'320',10,'2012-10-06 05:30:27'),(16,'330',10,'2012-10-06 05:30:37'),(17,'340',10,'2012-10-06 05:30:46'),(18,'360',10,'2012-10-06 05:30:56'),(19,'380',10,'2012-10-06 05:31:06'),(20,'390',10,'2012-10-06 05:31:14'),(21,'190 to 220',10,'2012-10-16 05:20:52'),(22,'320 to 360',10,'2012-10-16 05:21:06');

/*Table structure for table `spinning_type_master` */

DROP TABLE IF EXISTS `spinning_type_master`;

CREATE TABLE `spinning_type_master` (
  `spinning_type_id` int(11) NOT NULL AUTO_INCREMENT,
  `spinning_type_name` varchar(5000) DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `upload_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`spinning_type_id`)
) ENGINE=MyISAM AUTO_INCREMENT=10 DEFAULT CHARSET=latin1;

/*Data for the table `spinning_type_master` */

insert  into `spinning_type_master`(`spinning_type_id`,`spinning_type_name`,`user_id`,`upload_time`) values (2,'Carding',3,'2012-10-04 10:59:03'),(4,'Draming',3,'2012-10-04 10:59:15'),(5,'Full Factory',3,'2012-10-04 10:59:24'),(6,'Gillbox',3,'2012-10-04 10:59:32'),(7,'Preparation',3,'2012-10-04 10:59:40');

/*Table structure for table `user_master` */

DROP TABLE IF EXISTS `user_master`;

CREATE TABLE `user_master` (
  `user_id` int(5) NOT NULL AUTO_INCREMENT,
  `username` varchar(1000) DEFAULT NULL,
  `pass` varchar(1000) DEFAULT NULL,
  `user_type` int(5) DEFAULT NULL,
  `name` varchar(1000) DEFAULT NULL,
  `email` varchar(1000) DEFAULT NULL,
  `mobile` varchar(1000) DEFAULT NULL,
  `contact_no` varchar(1000) DEFAULT NULL,
  `remarks` varchar(1000) DEFAULT NULL,
  `last_login` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `ip` varchar(100) DEFAULT NULL,
  `confirm` enum('0','1') DEFAULT '1',
  `R_pass` varchar(100) DEFAULT NULL,
  `login_user_id` int(11) DEFAULT NULL,
  `select_type` int(11) DEFAULT NULL,
  `export_pass` varchar(1000) DEFAULT NULL,
  `contact_id` varchar(1000) DEFAULT NULL,
  `location_id` varchar(1000) DEFAULT NULL,
  PRIMARY KEY (`user_id`)
) ENGINE=MyISAM AUTO_INCREMENT=26 DEFAULT CHARSET=latin1;

/*Data for the table `user_master` */

insert  into `user_master`(`user_id`,`username`,`pass`,`user_type`,`name`,`email`,`mobile`,`contact_no`,`remarks`,`last_login`,`ip`,`confirm`,`R_pass`,`login_user_id`,`select_type`,`export_pass`,`contact_id`,`location_id`) values (1,'admin','130012',1,'Hitesh','shrivaamit@gmail.com','9987183351','1121212','','2013-01-10 22:20:41','0.0.0.0','1',NULL,1,2,'test',NULL,NULL),(3,'operation','123',3,'aaaa','aaa@yahhh.com','9990238249','','','2012-12-28 05:09:25','0.0.0.0','1',NULL,1,2,NULL,NULL,NULL),(4,'general','general',2,'a','dasdasdas@ga.com','9990238249','','dasdas','2012-12-28 05:09:06','0.0.0.0','1',NULL,1,2,NULL,NULL,NULL),(8,'general','general',2,'test',NULL,NULL,NULL,NULL,'2013-01-11 12:15:14','0.0.0.0','1','general',16,1,'','1,18','1'),(11,'operation','123',3,'operation',NULL,NULL,NULL,NULL,'2013-01-10 15:53:05','0.0.0.0','1','123',16,1,'','3,18','12,3'),(13,'test12','test',2,'test12','','','','','2013-01-09 02:50:45','0.0.0.0','1','test',16,1,'','3,18','12'),(17,'Rajesh','rajesh@123',1,'Rajesh Palande',NULL,NULL,NULL,NULL,'2012-12-27 15:34:14','0.0.0.0','1','rajesh@123',1,1,NULL,NULL,NULL),(15,'Raj','123456',1,'Rajesh Palande','rajesh@cubictree.com','9221460041','9222292222','dsfdsf','2012-12-17 04:34:05','0.0.0.0','1',NULL,1,2,NULL,NULL,NULL),(16,'admin','130012',1,'Rajesh Palande',NULL,NULL,NULL,NULL,'2013-01-11 13:23:11','0.0.0.0','1','130012',16,1,'test','0','0'),(18,'a','123',1,'admin','rajesh@cubictree.com','9221460041','9222292222','sdfsfcs','2013-01-02 05:02:12','0.0.0.0','1',NULL,1,2,NULL,NULL,NULL),(19,'test','test',1,'test','test@test.com','9221460041','28428446','Report','2013-01-02 05:53:10','0.0.0.0','1',NULL,1,2,'export',NULL,NULL),(20,'main','123',1,'Rajesh A. Palande',NULL,NULL,NULL,NULL,'2013-01-08 18:20:31','0.0.0.0','1','123',16,1,'test',NULL,NULL),(21,'test 123','123',2,'Rajesh Palande 123',NULL,NULL,NULL,NULL,'2013-01-09 17:05:15','0.0.0.0','1','123',16,1,'','1,8,18,2','3'),(22,'test','1',1,'Rajesh Palande',NULL,NULL,NULL,NULL,'2013-01-09 23:12:27','0.0.0.0','1','1',16,1,'1','',''),(23,'test','1',1,'Rajesh Palande',NULL,NULL,NULL,NULL,'2013-01-09 23:12:54','0.0.0.0','1','1',16,1,'1','',''),(24,'admin1','1',0,'Rajesh Palande',NULL,NULL,NULL,NULL,'2013-01-09 23:34:29','0.0.0.0','1','1',16,1,'','',''),(25,'123456','a',2,'123456',NULL,NULL,NULL,NULL,'2013-01-10 16:03:43','0.0.0.0','1','a',16,1,'','','');

/*Table structure for table `user_type` */

DROP TABLE IF EXISTS `user_type`;

CREATE TABLE `user_type` (
  `user_id` int(5) NOT NULL AUTO_INCREMENT,
  `role` varchar(1000) DEFAULT NULL,
  `status` enum('0','1') DEFAULT NULL,
  `upload_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `ip` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`user_id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;

/*Data for the table `user_type` */

insert  into `user_type`(`user_id`,`role`,`status`,`upload_date`,`ip`) values (1,'Admin','1','2012-05-09 11:52:31','192.168.0.210'),(2,'General','1','2012-10-15 11:03:24','198.168.0.210'),(3,'Operation','1','2012-05-09 17:08:57',NULL);

/*Table structure for table `weaving_master` */

DROP TABLE IF EXISTS `weaving_master`;

CREATE TABLE `weaving_master` (
  `weaving_id` int(11) NOT NULL AUTO_INCREMENT,
  `company_name` varchar(2000) DEFAULT NULL,
  `name` varchar(2000) DEFAULT NULL,
  `location` varchar(2000) DEFAULT NULL,
  `city` varchar(2000) DEFAULT NULL,
  `state` varchar(2000) DEFAULT NULL,
  `position` varchar(2000) DEFAULT NULL,
  `emaill_id` varchar(2000) DEFAULT NULL,
  `mobile_no` varchar(2000) DEFAULT NULL,
  `std_code` varchar(2000) DEFAULT NULL,
  `L_no` varchar(100) DEFAULT NULL,
  `decision_maker` varchar(2000) DEFAULT NULL,
  `decision_mobile_no` varchar(2000) DEFAULT NULL,
  `decision_email_id` varchar(2000) DEFAULT NULL,
  `technician_name` varchar(2000) DEFAULT NULL,
  `technician_mobile_no` varchar(2000) DEFAULT NULL,
  `technician_email_id` varchar(2000) DEFAULT NULL,
  `existing_equipment` text,
  `recommded_name` varchar(2000) DEFAULT NULL,
  `recommded_mobile_no` varchar(2000) DEFAULT NULL,
  `recommded_email_id` varchar(2000) DEFAULT NULL,
  `commission_agreed` varchar(2000) DEFAULT NULL,
  `extra_notes` text,
  `spare_pars` text,
  `machinery_type` varchar(200) DEFAULT NULL,
  `execution` varchar(200) DEFAULT NULL,
  `shedding` varchar(200) DEFAULT NULL,
  `size` varchar(200) DEFAULT NULL,
  `color` varchar(200) DEFAULT NULL,
  `quantity` varchar(2000) DEFAULT NULL,
  `brand` varchar(200) DEFAULT NULL,
  `model` varchar(200) DEFAULT NULL,
  `user_id` int(5) DEFAULT NULL,
  `ip` varchar(100) DEFAULT NULL,
  `upload_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `ref_no` varchar(1000) DEFAULT NULL,
  PRIMARY KEY (`weaving_id`)
) ENGINE=MyISAM AUTO_INCREMENT=34 DEFAULT CHARSET=latin1;

/*Data for the table `weaving_master` */

insert  into `weaving_master`(`weaving_id`,`company_name`,`name`,`location`,`city`,`state`,`position`,`emaill_id`,`mobile_no`,`std_code`,`L_no`,`decision_maker`,`decision_mobile_no`,`decision_email_id`,`technician_name`,`technician_mobile_no`,`technician_email_id`,`existing_equipment`,`recommded_name`,`recommded_mobile_no`,`recommded_email_id`,`commission_agreed`,`extra_notes`,`spare_pars`,`machinery_type`,`execution`,`shedding`,`size`,`color`,`quantity`,`brand`,`model`,`user_id`,`ip`,`upload_date`,`ref_no`) values (20,'Shree Radha Textile Machines Co. (SRTM India)','Sandeep Aggarwal','Dhariwal Chowk','New Delhi','','','srtmindia@airtelmail.in','9810332765','011','23845003','','','','','','','Requirement: 24 x Picanol Omni/Omni Plus 190-220cm 4 Colors with Electronic Dobby looms\n\nOffer of 50 Omni Looms, Batch no:157 sent on 17.10.12','','','','','','',NULL,'2','2','21','5','24','6','99',10,'59.97.138.131','2012-10-17 04:58:19',NULL),(19,'RAMM ENTERPRISES','W.Jawahar Paulraj','PEELAMEDU','COIMBATORE - 641 004','','','texcel123@gmail.com','9500921214','422','00000000','','','','','','','\n','','','','','requirement: Picanol Omni Air jet Looms, Width 190 cm or 210 cms or 220 cms , 4 weft colors, dobby or cam motion - 32 Nos\n\nOffered him machines in China on 16.10.12, Batch No: 141,172,174,157, and Latest offer from Betty Omni Plus 800','',NULL,'2','4','21','5','32','6','40',10,'59.97.138.229','2012-10-16 08:00:35',NULL),(18,'Gurunanak Textile','Raminder Singh','Ludhiana','Ludhiana','','','gurunanaktextileinds@gmail.com','9915008726','000000','00000000','','','','','','','','','','','',' 2 looms with jacquard preferebly vamatex 360 cm with 2688 hooks jacquards (preferably latest model of Leonardo)','',NULL,'4','3','18','8','2','13','47',10,'59.97.138.229','2012-10-16 05:15:22',NULL),(17,'CHOLA Textile Consultancy Services','Amit Bagrecha','Ichalkaranji','Ichalkaranji','','','amit.bagrecha@gmail.com','9822960600','00','00000000','','','','','','','','','','','','190cm \n4 colour / 6 colour \n20 Levers Electronic Dobby\nMake must be above 2002\nTotal : 04  Machines Required \n\nMake : Picanol Opitmax / gammax \n','',NULL,'4','2','5','5','4','6','33',10,'59.97.138.47','2012-10-13 08:35:57',NULL),(16,'CHOLA Textile Consultancy Services','Amit Bagrecha','Ichalkaranji','Ichalkaranji','','','amit.bagrecha@gmail.com','9822960600','00','00000000','','','','','','','','','','','','Requirement : 190cm <br />\n2 colour <br />\nPositive machine<br />\nMake must be above 2002<br />\nTotal : 10 Machines Required <br />\n<br />\nMake : Picanol Omni Plus or Omni Plus 800<br />\n\nSent him offer on 16.10.12, Picanol Omni plus from Betty received lastly.\n','',NULL,'2','1','5','3','10','6','41',10,'59.97.138.229','2012-10-16 08:08:24',NULL),(15,'CHOLA Textile Consultancy Services','Amit Bagrecha','Ichalkaranji','Ichalkaranji','','','amit.bagrecha@gmail.com','9822960600','00','00000000','','','','','','','','','','','','Picanol Gamma / Gamax Machine with sumo drive.\nTotal Machine Required : 16 Machines \nDobby : 20 Levers Staubli Electronic \nColour : 6 to 8 \nModel Must be above 2000\nWidth : 190 / 220cm \n','',NULL,'4','2','5','7','16','6','31',10,'59.97.138.47','2012-10-13 08:30:01',NULL),(13,'Micky & Mouse Co.Ltd.','Micky','Kolkata','Kolkata','WB','MD','himicky@gmail.com','0101010101','033','22334455','Mouse','1001001000','no_id@gmail.com','Pluto','1112223344','pluto@gmail.com','24 Dornier HTV 4SD 210 Dobby Looms','Walt D','22244447788','waltd@gmail.com','No','','',NULL,'4','2','7','5','12','2','75',10,'59.97.138.86','2012-10-06 05:54:22',NULL),(14,'CHOLA Textile Consultancy Services','Amit Bagrecha','Ichalkaranji','Ichalkaranji','','','amit.bagrecha@gmail.com','9822960600','00','00000000','','','','','','','','','','','','Picanol Omni / OMni Plus with sumo drive.\nTotal Machine Required : 10 Machines \nDobby : 10 Lever Cam machine Require\nColour : 2 to 4  \nModel Must be above 2000\nWidth : 190 / 220cm \nWe require 10 machines immediately.\n','',NULL,'2','1','5','3','10','6','99',10,'59.97.138.47','2012-10-13 08:27:18',NULL),(22,'company 123','test','Malad(East), Mumbai - 400097','A','','','rajesh@cubictree.com','9221460041','022','28428446','','','','','','','','','','','','','',NULL,'2','1','4','2','Quantity','2','94',1,'0.0.0.0','2012-12-16 22:45:02',NULL);

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
