<?php
Class Utilities extends CI_Controller{
    
    function __construct() {
        parent::__construct();
        error_reporting(E_ALL ^ (E_NOTICE | E_WARNING));
        $this->load->model('Utilities_model');
        $this->load->model('home_model');
    }

    function user_display(){
//        $list                   = $this->home_model->List_All_Select_Data('*','user_master');
//        $data['list']           = $list;        
        $list         = $this->home_model->select_type_data();
        $data['list']           = $list;          
        $data['main_content']   = 'user_display_view';
        $this->load->view('includes/template_admin', $data);        
    }

    function User(){
        $user_type = $this->Utilities_model->getListDet('user_id,role','user_type','role');
        $data['user_type'] = $user_type;  
        $location = $this->Utilities_model->getListDet('location_id,location_name','location','location_name');
        $data['location'] = $location;
        $Other_contact = $this->Utilities_model->getListDet('contact_id,contact_type','contact_type','contact_type');
        $data['Other_contact'] = $Other_contact;
        $data['main_content'] = 'user_view';
        $this->load->view('includes/template_admin', $data);
    }

    function check_user(){
        $username      = $this->input->post('username');
        $Data_list = $this->Utilities_model->Find_value_user('user_master','username',$username,'select_type','1');
        $this->form_validation->set_rules('user_type', 'User Type', 'trim|required|xss_clean|');
        $this->form_validation->set_rules('name', 'Name', 'trim|required|xss_clean|');
        $this->form_validation->set_rules('username', 'User Name', 'trim|required|xss_clean|');
        $this->form_validation->set_rules('pass', 'User Password', 'trim|required|xss_clean|');
        $this->form_validation->set_rules('R_pass', 'Re-enter Password', 'trim|required|xss_clean|');

        if($this->form_validation->run() == FALSE) {
                $this->User();
            }
            else{
                if ($Data_list == '0') {
                    $username_list  = $this->home_model->List_All_Select_Data('username','user_master');
                $data['username_list']  = $username_list;

                //Assign Posted Values to variables
                $name       = $this->input->post('name');
                $username   = $this->input->post('username');
                $pass       = $this->input->post('pass');
                $export_pass = $this->input->post('export_pass');
                $R_pass     = $this->input->post('R_pass');
                $user_type  = $this->input->post('user_type');
                $user_id    = $this->session->userdata('userid');
                $ip         = $this->input->ip_address();
                $select_type= $this->input->post('select_type');
                $contact_id  = $this->input->post('contact_id');
                $location_id  = $this->input->post('location_id');
                        if($pass == $R_pass){
                        $formValues = array(
                            'name'          => $name,
                            'username'      => $username,
                            'pass'          => $pass,
                            'R_pass'        => $R_pass,
                            'export_pass'   => $export_pass,
                            'user_type'     => $user_type,
                            'select_type'   => $select_type,
                            'login_user_id' => $user_id,
                            'contact_id'    => $contact_id,
                            'location_id'   => $location_id,
                            'ip'            => $ip,
                            'select_type'   => '1'
                        );
        //                echo '<pre>';
        //                print_r($formValues);
        //                exit;
                        $tablename="user_master";
                        $ca_id = $this->Utilities_model->tableInsert($tablename,$formValues);
                        redirect('utilities/user_display');

                        } else {
                            $msg = "<center><h3 style=\"color:red;\">Re-enter Password</h3></center>";
                            $data['message'] = $msg;
                            $user_type = $this->Utilities_model->getListDet('user_id,role','user_type','role');
                            $data['user_type'] = $user_type;
                            $data['main_content'] = 'user_view';
                            $this->load->view('includes/template_admin', $data);
                        }
                    }   else {
                    $msg = "<h1>User Name Is Already Exit.</h1>";
                    $data['message'] = $msg;
                    $data['User']           = "activeNav";
                    $user_type = $this->Utilities_model->getListDet('user_id,role','user_type','role');
                    $data['user_type'] = $user_type;  
                    $location = $this->Utilities_model->getListDet('location_id,location_name','location','location_name');
                    $data['location'] = $location;
                    $Other_contact = $this->Utilities_model->getListDet('contact_id,contact_type','contact_type','contact_type');
                    $data['Other_contact'] = $Other_contact;
                    $data['main_content'] = 'user_view';
                    $this->load->view('includes/template_admin', $data);
                }                
            }
    }
    
    function request_check_user(){
        $this->form_validation->set_rules('name', 'Name', 'trim|required|xss_clean|');
        $this->form_validation->set_rules('username', 'User Name', 'trim|required|xss_clean|');
        $this->form_validation->set_rules('pass', 'User Password', 'trim|required|xss_clean|');
        $this->form_validation->set_rules('user_type', 'User Type', 'trim|required|xss_clean|');
        $this->form_validation->set_rules('mobile', 'Mobile Number', 'trim|required|xss_clean|numeric|min_length[9]|max_length[15]');
    //     $this->form_validation->set_rules('email', 'Email', 'trim|required|xss_clean|valid_email');


     if($this->form_validation->run() == FALSE) {
            $user_type              = $this->home_model->getListDet('user_id,role','user_type','role');
            $data['user_type']      = $user_type;
            $data['User']           = "activeNav";
            $data['main_content']   = 'add_user_view';
            $this->load->view('includes/template', $data);
        }

        else{

            //Assign Posted Values to variables
            $name       = $this->input->post('name');
            $username   = $this->input->post('username');
            $pass       = $this->input->post('pass');
            $email      = $this->input->post('email');
            $user_type  = $this->input->post('user_type');
            $contact_no = $this->input->post('contact_no');
            $mobile     = $this->input->post('mobile');
            $remarks    = $this->input->post('remarks');
            $user_id    = $this->session->userdata('USER_ID');
            $ip         = $this->input->ip_address();
            $select_type= $this->input->post('select_type');            

               $formValues = array(
                'name'              =>$name,
                'username'          =>$username,
                'pass'              =>$pass,
                'email'             =>$email,
                'user_type'         =>$user_type,
                'mobile'            =>$mobile,
                'contact_no'        =>$contact_no,
                'remarks'           =>$remarks,
                'login_user_id'     =>$user_id,
                'select_type'       =>$select_type,
                'ip'                =>$ip

                    );
            $tablename="user_master";
            $this->home_model->tableInsert($tablename,$formValues);

             //Load the model and add it to the Database
                redirect('utilities/user_display');
               
        }
    }

    function delete_User($user_id){        
        $this->home_model->delete_Data('user_id',$user_id,'user_master');
        redirect('utilities/user_display');
    }
    
    function movedata_User($user_id){
        $user_type = $this->Utilities_model->getListDet('user_id,role','user_type','role');
        $data['user_type'] = $user_type;
        $list                   = $this->home_model->display_Move_Data('*','user_master','user_id',$user_id);
        $data['list']           = $list;
        $location = $this->Utilities_model->getListDet('location_id,location_name','location','location_name');
        $data['location'] = $location;
        $Other_contact = $this->Utilities_model->getListDet('contact_id,contact_type','contact_type','contact_type');
        $data['Other_contact'] = $Other_contact;
        $data['main_content']   = 'User_update_view';
        $this->load->view('includes/template_admin', $data);
    }


    function update_User($user_id){ 
        $user_id        = $this->input->post('user_id'); 
        $name           = $this->input->post('name');
        $pass           = $this->input->post('pass');
        $R_pass         = $this->input->post('R_pass');
        $login_user_id  = $this->session->userdata('userid');
        $export_pass    = $this->input->post('export_pass');
        $contact_id     = $this->input->post('contact_id');
        $location_id    = $this->input->post('location_id');
        $ip             = $this->input->ip_address();
        if($pass == $R_pass){
         $data = array(
                'user_id'       => $user_id,
                'name'          => $name,
                'pass'          => $pass,
                'R_pass'        => $R_pass,
                'export_pass'   => $export_pass,
                'login_user_id' => $login_user_id,
                'contact_id'    => $contact_id,
                'location_id'   => $location_id,
                'ip'            => $ip
             );
//             echo '<pre>';
//             print_r($data);
//             exit;
        $this->home_model->update_Data('user_id',$data,'user_master');
        redirect('utilities/user_display');
        } else {
            $msg = "<center><h3 style=\"color:red;\">Re-enter Password</h3></center>";
                $data['message'] = $msg;
                 redirect('utilities/movedata_User/'.$user_id,$data);
            }
        }
    
    function UserList(){
        $list = $this->Utilities_model->userList();
        $data['list'] = $list;
        $data['main_content'] = 'userlist_view';
        $this->load->view('includes/template_admin', $data);
    }

    function contact_display(){
        $list                   = $this->home_model->List_All_Select_Data('*','contact_type');
        $data['list']           = $list;            
        $data['main_content']   = 'contact_display_view';
        $this->load->view('includes/template_admin', $data);     
    }

    function ContactType(){            
        $data['main_content'] = 'othercontact_view';
        $this->load->view('includes/template_admin', $data);
    }


    function check_otherContact(){
        $prefix=$this->input->post('prefix');
        $Data_list = $this->home_model->Find_value('contact_type','prefix',$prefix);  
        $this->form_validation->set_rules('name', 'Name', 'trim|required|xss_clean|');
        $this->form_validation->set_rules('prefix', 'Prefix', 'trim|required|xss_clean|');
        if($this->form_validation->run() == FALSE) {
            $this->ContactType();
        }

        else{
            if($prefix == 'C'){
                $msg = "<h1>Prefix already Exists.</h1>";
                $data['message'] = $msg;
                $data['main_content'] = 'othercontact_view';
                $this->load->view('includes/template_admin', $data);
            } elseif ($prefix == 'R') {
                $msg = "<h1>Prefix already Exists.</h1>";
                $data['message'] = $msg;
                $data['main_content'] = 'othercontact_view';
                $this->load->view('includes/template_admin', $data);
            } elseif ($prefix == 'P') {
                $msg = "<h1>Prefix already Exists.</h1>";
                $data['message'] = $msg;
                $data['main_content'] = 'othercontact_view';
                $this->load->view('includes/template_admin', $data);
            } elseif ($prefix == 'c') {
                $msg = "<h1>Prefix already Exists.</h1>";
                $data['message'] = $msg;
                $data['main_content'] = 'othercontact_view';
                $this->load->view('includes/template_admin', $data);
            } elseif ($prefix == 'r') {
                $msg = "<h1>Prefix already Exists.</h1>";
                $data['message'] = $msg;
                $data['main_content'] = 'othercontact_view';
                $this->load->view('includes/template_admin', $data);
            } elseif ($prefix == 'p') {
                $msg = "<h1>Prefix already Exists.</h1>";
                $data['message'] = $msg;
                $data['main_content'] = 'othercontact_view';
                $this->load->view('includes/template_admin', $data);
            } elseif ($prefix == 'Z') {
                $msg = "<h1>Prefix already Exists.</h1>";
                $data['message'] = $msg;
                $data['main_content'] = 'othercontact_view';
                $this->load->view('includes/template_admin', $data);
            } elseif ($prefix == 'z') {
                $msg = "<h1>Prefix already Exists.</h1>";
                $data['message'] = $msg;
                $data['main_content'] = 'othercontact_view';
                $this->load->view('includes/template_admin', $data);
            } else {
                    if ($Data_list == '0') {
                    $name=$this->input->post('name');
                    $prefix=$this->input->post('prefix');
                    $formValues = array(
                        'contact_type'  => $name,  
                        'prefix'        => $prefix           
                            );

                    $tablename="contact_type";
                    $ca_id = $this->Utilities_model->tableInsert($tablename,$formValues);
                    redirect('utilities/contact_display');
                    } else {
                        $msg = "<h1>Prefix already Exists.</h1>";
                        $data['message'] = $msg;
                        $data['main_content'] = 'othercontact_view';
                        $this->load->view('includes/template_admin', $data);
                    }
                }
            }
            
    }

    function delete_contact_display($contact_id){        
        $this->home_model->delete_Data('contact_id',$contact_id,'contact_type');
        redirect('utilities/contact_display');
    }
    
    function movedata_contact_display($contact_id){
        $list                   = $this->home_model->display_Move_Data('*','contact_type','contact_id',$contact_id);
        $data['list']           = $list;
        $data['main_content']   = 'contact_update_view';
        $this->load->view('includes/template_admin', $data);
    }


    function update_contact_display($contact_id){ 
        $prefix     = $this->input->post('prefix');
        $contact_id = $this->input->post('contact_id');
        $Data_list  = $this->home_model->Find_value_id('contact_type','prefix',$prefix,'contact_id',$contact_id);
        
        if($prefix == 'C'){
                $contact_id             = $this->input->post('contact_id');
                $msg                    = "<h1>Prefix already Exists.</h1>";
                $data['message']        = $msg;
                $list                   = $this->home_model->display_Move_Data('*','contact_type','contact_id',$contact_id);
                $data['list']           = $list;
                $data['main_content']   = 'contact_update_view';
                $this->load->view('includes/template_admin', $data);
            } elseif ($prefix == 'R') {
                $contact_id             = $this->input->post('contact_id');
                $msg                    = "<h1>Prefix already Exists.</h1>";
                $data['message']        = $msg;
                $list                   = $this->home_model->display_Move_Data('*','contact_type','contact_id',$contact_id);
                $data['list']           = $list;
                $data['main_content']   = 'contact_update_view';
                $this->load->view('includes/template_admin', $data);
            } elseif ($prefix == 'P') {
                $contact_id             = $this->input->post('contact_id');
                $msg                    = "<h1>Prefix already Exists.</h1>";
                $data['message']        = $msg;
                $list                   = $this->home_model->display_Move_Data('*','contact_type','contact_id',$contact_id);
                $data['list']           = $list;
                $data['main_content']   = 'contact_update_view';
                $this->load->view('includes/template_admin', $data);
            } elseif ($prefix == 'c') {
                $contact_id             = $this->input->post('contact_id');
                $msg                    = "<h1>Prefix already Exists.</h1>";
                $data['message']        = $msg;
                $list                   = $this->home_model->display_Move_Data('*','contact_type','contact_id',$contact_id);
                $data['list']           = $list;
                $data['main_content']   = 'contact_update_view';
                $this->load->view('includes/template_admin', $data);
            } elseif ($prefix == 'r') {
                $contact_id             = $this->input->post('contact_id');
                $msg                    = "<h1>Prefix already Exists.</h1>";
                $data['message']        = $msg;
                $list                   = $this->home_model->display_Move_Data('*','contact_type','contact_id',$contact_id);
                $data['list']           = $list;
                $data['main_content']   = 'contact_update_view';
                $this->load->view('includes/template_admin', $data);
            } elseif ($prefix == 'p') {
                $contact_id             = $this->input->post('contact_id');
                $msg                    = "<h1>Prefix already Exists.</h1>";
                $data['message']        = $msg;
                $list                   = $this->home_model->display_Move_Data('*','contact_type','contact_id',$contact_id);
                $data['list']           = $list;
                $data['main_content']   = 'contact_update_view';
                $this->load->view('includes/template_admin', $data);
            } elseif ($prefix == 'Z') {
                $contact_id             = $this->input->post('contact_id');
                $msg                    = "<h1>Prefix already Exists.</h1>";
                $data['message']        = $msg;
                $list                   = $this->home_model->display_Move_Data('*','contact_type','contact_id',$contact_id);
                $data['list']           = $list;
                $data['main_content']   = 'contact_update_view';
                $this->load->view('includes/template_admin', $data);
            } elseif ($prefix == 'z') {
                $contact_id             = $this->input->post('contact_id');
                $msg                    = "<h1>Prefix already Exists.</h1>";
                $data['message']        = $msg;
                $list                   = $this->home_model->display_Move_Data('*','contact_type','contact_id',$contact_id);
                $data['list']           = $list;
                $data['main_content']   = 'contact_update_view';
                $this->load->view('includes/template_admin', $data);
            } else {
                if ($Data_list == '0') {
                    $contact_id = $this->input->post('contact_id');
                    $name       = $this->input->post('name');
                    $prefix     = $this->input->post('prefix');
                    $data = array(
                            'contact_id'  => $contact_id,
                            'contact_type'=> $name,
                            'prefix'      => $prefix  
                        );
                    $this->home_model->update_Data('contact_id',$data,'contact_type');
                    redirect('utilities/contact_display');
                } else {
                    $contact_id             = $this->input->post('contact_id');
                    $msg                    = "<h1>Prefix already Exists.</h1>";
                    $data['message']        = $msg;
                    $list                   = $this->home_model->display_Move_Data('*','contact_type','contact_id',$contact_id);
                    $data['list']           = $list;
                    $data['main_content']   = 'contact_update_view';
                    $this->load->view('includes/template_admin', $data);
                }  
            }  
        }

    function Country_display(){
        $list                   = $this->home_model->List_All_Select_Data('*','country');
        $data['list']           = $list;            
        $data['main_content']   = 'Country_display_view';
        $this->load->view('includes/template_admin', $data);     
    }

    function Country(){
        $data['main_content'] = 'country_view';
        $this->load->view('includes/template_admin', $data);
    }

    function check_Country(){
        $this->form_validation->set_rules('name', 'Country Name', 'trim|required|xss_clean|');
        $this->form_validation->set_rules('code', 'Country Code', 'trim|required|xss_clean|numeric|');

        if($this->form_validation->run() == FALSE) {
                $this->Country();
            }

            else{
                //Assign Posted Values to variables
                $name = $this->input->post('name');
                $code = $this->input->post('code');

                $formValues = array(
                    'country_name' => $name,
                    'country_code' => $code
                );
                $tablename="country";
                $ca_id = $this->Utilities_model->tableInsert($tablename,$formValues);

                //Load the model and add it to the Database

                redirect('utilities/Country_display');
    //             if($ca_id){
    //              $msg = "<center><h1>Contact Created  Successfully</h1></center>";
    //                }
    //           else{
    //                $msg = "<center><h2 style=\"color:red;\">Error ......</h1></center>";
    //            }
    //
    //            $data['message'] = $msg;
    //            $data['data'] = NULL;
    //            $data['main_content'] = 'result_page';
    //            $this->load->view('includes/template_admin', $data);
            }
    }

    function delete_Country($country_id){        
        $this->home_model->delete_Data('country_id',$country_id,'country');
        redirect('utilities/Country_display');
    }
    
    function movedata_Country($country_id){
        $list                   = $this->home_model->display_Move_Data('*','country','country_id',$country_id);
        $data['list']           = $list;
        $data['main_content']   = 'Country_update_view';
        $this->load->view('includes/template_admin', $data);
    }


    function update_Country($country_id){ 
        $country_id = $this->input->post('country_id');
        $name       = $this->input->post('name');
        $code       = $this->input->post('code');
        $data = array(
            'country_id'   => $country_id,
            'country_name' => $name,
            'country_code' => $code
            );
        $this->home_model->update_Data('country_id',$data,'country');
        redirect('utilities/Country_display');
    }
    
    function Activities_display(){
        $list                   = $this->home_model->List_All_Select_Data('*','activitie_master');
        $data['list']           = $list;            
        $data['main_content']   = 'Activities_display_view';
        $this->load->view('includes/template_admin', $data);     
    }
    
    function Activities(){
        $data['main_content'] = 'activities_view';
        $this->load->view('includes/template_admin', $data);
    }

    function check_Activities(){
        $this->form_validation->set_rules('activitie_name', 'Activitie Name', 'trim|required|xss_clean|');

        if($this->form_validation->run() == FALSE) {
                $this->Activities();
            }

            else{
                //Assign Posted Values to variables
                $activitie_name = $this->input->post('activitie_name');

                $formValues = array(
                    'activitie_name' => $activitie_name
                );
                $tablename="activitie_master";
                $ca_id = $this->Utilities_model->tableInsert($tablename,$formValues);

                //Load the model and add it to the Database

                redirect('utilities/Activities_display');
    //             if($ca_id){
    //              $msg = "<center><h1>Contact Created  Successfully</h1></center>";
    //                }
    //           else{
    //                $msg = "<center><h2 style=\"color:red;\">Error ......</h1></center>";
    //            }
    //
    //            $data['message'] = $msg;
    //            $data['data'] = NULL;
    //            $data['main_content'] = 'result_page';
    //            $this->load->view('includes/template_admin', $data);
            }
    }

    function delete_Activities($activitie_id){        
        $this->home_model->delete_Data('activitie_id',$activitie_id,'activitie_master');
        redirect('utilities/Activities_display');
    }
    
    function movedata_Activities($activitie_id){
        $list                   = $this->home_model->display_Move_Data('*','activitie_master','activitie_id',$activitie_id);
        $data['list']           = $list;
        $data['main_content']   = 'Activitie_update_view';
        $this->load->view('includes/template_admin', $data);
    }


    function update_Activities($activitie_id){ 
        $activitie_id = $this->input->post('activitie_id');
        $activitie_name       = $this->input->post('activitie_name');
        $data = array(
            'activitie_id'   => $activitie_id,
            'activitie_name' => $activitie_name
            );
        $this->home_model->update_Data('activitie_id',$data,'activitie_master');
        redirect('utilities/Activities_display');
    }

    function Location_display(){
        $list                   = $this->home_model->List_All_Select_Data('*','location');
        $data['list']           = $list;            
        $data['main_content']   = 'Location_display_view';
        $this->load->view('includes/template_admin', $data);     
    }

    function Location(){
        $data['main_content'] = 'location_view';
        $this->load->view('includes/template_admin', $data);
    }

    function check_Location(){
        $this->form_validation->set_rules('name', 'Location Name', 'trim|required|xss_clean|');

        if($this->form_validation->run() == FALSE) {
                $this->Location();
            }

            else{
                //Assign Posted Values to variables
                $name  = $this->input->post('name');
                $state = $this->input->post('state');

                $formValues = array(
                    'location_name' => $name,
                    'state'         => $state
                            );
                $tablename="location";
                $ca_id = $this->Utilities_model->tableInsert($tablename,$formValues);

                //Load the model and add it to the Database
                redirect('utilities/Location_display');

    //             if($ca_id){
    //              $msg = "<center><h1>Location Created  Successfully</h1></center>";
    //                }
    //           else{
    //                $msg = "<center><h2 style=\"color:red;\">Error ......</h1></center>";
    //            }
    //
    //            $data['message'] = $msg;
    //            $data['data'] = NULL;
    //            $data['main_content'] = 'result_page';
    //            $this->load->view('includes/template_admin', $data);

            }
    }

    function delete_Location($location_id){  
      $count = $this->home_model->del_num_row($location_id);
      $count = $this->home_model->del_num_row_1($location_id);
      if($count=='0')
      {
            $this->home_model->delete_Data('location_id',$location_id,'location');
            redirect('utilities/Location_display');             
      }
      else
      { 
          $message = "<center><h1>Location Is Use</h1></center>";
          $data['message'] = $message;
          redirect('utilities/Location_display',$data);
      }        
    }
    
    function movedata_Location($location_id){
        $list                   = $this->home_model->display_Move_Data('*','location','location_id',$location_id);
        $data['list']           = $list;
        $data['main_content']   = 'Location_update_view';
        $this->load->view('includes/template_admin', $data);
    }


    function update_Location($location_id) {
        $location_id = $this->input->post('location_id');
        $name = $this->input->post('name');
        $state = $this->input->post('state');
        $data = array(
            'location_id' => $location_id,
            'location_name' => $name,
            'state' => $state
        );
        $this->home_model->update_Data('location_id', $data, 'location');
        redirect('utilities/Location_display');
    }
    
    
        
    function back_up(){
        $data['main_content'] = 'admin_back_password';
        $this->load->view('includes/template_admin_back', $data);
    }
    
    function delete_back_up($backup_id){        
        $this->home_model->delete_Data('backup_id',$backup_id,'akitex_backup');
        $Backup_list                   = $this->home_model->display_Move_Data('*','akitex_backup','download_status','2');
            $data['Backup_list']           = $Backup_list;
        $data['main_content'] = 'admin_back_up_view';
        $this->load->view('includes/template_admin_back', $data);
    }
    
    function check_sql_password(){
        //echo $this->session->userdata('userid');
        if($this->session->userdata('userid') != NULL){
           
        $user_id = $this->session->userdata('userid');
        $name  = $this->input->post('name'); 
        $Data_list = $this->home_model->Get_password($user_id,$name); 
        
        if (!$Data_list) {
            $msg = "<center><h3 style=\"color:red;\">Password Is Incorrect.</h3></center>";
            $data['massage'] = $msg;
            $data['main_content'] = 'admin_back_password';
            $this->load->view('includes/template_admin_back', $data);
        } else {
            $Backup_list                   = $this->home_model->display_Move_Data('*','akitex_backup','download_status','2');
            $data['Backup_list']           = $Backup_list;
            $data['main_content'] = 'admin_back_up_view';
            $this->load->view('includes/template_admin_back', $data);
        } 
        } else {
            redirect(base_url() . 'login/');
        }
    }
    
    function Get_Sql_Data($tables = '*'){        
        if ($tables == '*') {
            $tables = array(                
            );
            $result = mysql_query('SHOW TABLES');
            while ($row = mysql_fetch_row($result)) {
                $tables[] = $row[0];
            }
        } else {
            $tables = is_array($tables) ? $tables : explode(',', $tables);
        }

        //cycle through
        foreach ($tables as $table) {
            $result = mysql_query('SELECT * FROM ' . $table);
            $num_fields = mysql_num_fields($result);

            $return.= 'DROP TABLE ' . $table . ';';
            $row2 = mysql_fetch_row(mysql_query('SHOW CREATE TABLE ' . $table));
            $return.= "\n\n" . $row2[1] . ";\n\n";

            for ($i = 0; $i < $num_fields; $i++) {
                while ($row = mysql_fetch_row($result)) {
                    $return.= 'INSERT INTO ' . $table . ' VALUES(';
                    for ($j = 0; $j < $num_fields; $j++) {
                        $row[$j] = addslashes($row[$j]);
                        //$row[$j] = ereg_replace("\n", "\\n", $row[$j]);
                        if (isset($row[$j])) {
                            $return.= '"' . $row[$j] . '"';
                        } else {
                            $return.= '""';
                        }
                        if ($j < ($num_fields - 1)) {
                            $return.= ',';
                        }
                    }
                    $return.= ");\n";
                }
            }
            $return.="\n\n\n";
        }

        //save file
        $Sql_file_name = 'sql_backup' .time().'-'.    (md5(implode(',', $tables)));
        $handle = fopen('sql_backup/'.$Sql_file_name . '.sql', 'w+');
        fwrite($handle, $return);
        //fclose($handle);  
        
        $formValues = array(
            'backup_file_name'    =>$Sql_file_name,
            'download_status'     => '2'
        );
        $tablename="akitex_backup";
        $this->home_model->tableInsert($tablename,$formValues);
        
            $Backup_list                   = $this->home_model->display_Move_Data('*','akitex_backup','download_status','2');
            $data['Backup_list']           = $Backup_list;
            $data['main_content'] = 'admin_back_up_view';
            $this->load->view('includes/template_admin_back', $data);
    }
    
    function file_download() {
        $f_name=$this->input->get('filename');
        $data['f_name']= $f_name;
        $this->load->view('download',$data);
    }

}
?>